Financial Obligation Report¶
Get Foreport¶
HTTP Request
GET /api/financial-obligation-reports/{id}
📋 Description: Retrieves detailed financial obligation reports for a specified asset within the Nakisa Portfolio Management Suite, enabling users to analyze portfolio performance and make informed real estate investment decisions.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "name": "string",
10 "description": "string",
11 "fiscalStartDate": "2019-08-24",
12 "startDate": "2019-08-24",
13 "endDate": "2019-08-24",
14 "userSelectedEndDate": true,
15 "statusId": 0,
16 "frequencyId": 0,
17 "generatedBy": "string",
18 "generatedDate": "2019-08-24T14:15:22Z",
19 "approvedBy": "string",
20 "approvedDate": "2019-08-24T14:15:22Z",
21 "generateJobId": 0,
22 "numberOfLeaseEntriesToProcess": 0,
23 "numberOfLeaseEntriesProcessed": 0,
24 "reportCurrencyDisplayId": "string",
25 "expenseCategoryIds": [
26 0
27 ],
28 "leaseIds": [
29 0
30 ],
31 "massProfileFilterIds": [
32 0
33 ],
34 "notes": [
35 {
36 "createdBy": "string",
37 "lastModifiedBy": "string",
38 "createdDate": "2019-08-24T14:15:22Z",
39 "lastModifiedDate": "2019-08-24T14:15:22Z",
40 "archived": true,
41 "externalId": "string",
42 "id": 0,
43 "message": "string",
44 "preserveOriginalAudit": true,
45 "originalCreatedBy": "string",
46 "originalCreatedDate": "2019-08-24T14:15:22Z",
47 "originalLastModifiedBy": "string",
48 "originalLastModifiedDate": "2019-08-24T14:15:22Z"
49 }
50 ],
51 "status": {
52 "createdBy": "string",
53 "lastModifiedBy": "string",
54 "createdDate": "2019-08-24T14:15:22Z",
55 "lastModifiedDate": "2019-08-24T14:15:22Z",
56 "archived": true,
57 "externalId": "string",
58 "id": 0,
59 "priority": 0,
60 "internalId": 0,
61 "pickListCode": "string",
62 "pickListLabel": "string",
63 "label": "string",
64 "cultureId": 0,
65 "labelDtos": [
66 {
67 "createdBy": "string",
68 "lastModifiedBy": "string",
69 "createdDate": "2019-08-24T14:15:22Z",
70 "lastModifiedDate": "2019-08-24T14:15:22Z",
71 "archived": true,
72 "externalId": "string",
73 "id": 0,
74 "cultureId": 0,
75 "value": "string"
76 }
77 ]
78 },
79 "frequency": {
80 "createdBy": "string",
81 "lastModifiedBy": "string",
82 "createdDate": "2019-08-24T14:15:22Z",
83 "lastModifiedDate": "2019-08-24T14:15:22Z",
84 "archived": true,
85 "externalId": "string",
86 "id": 0,
87 "priority": 0,
88 "internalId": 0,
89 "pickListCode": "string",
90 "pickListLabel": "string",
91 "label": "string",
92 "cultureId": 0,
93 "labelDtos": [
94 {
95 "createdBy": "string",
96 "lastModifiedBy": "string",
97 "createdDate": "2019-08-24T14:15:22Z",
98 "lastModifiedDate": "2019-08-24T14:15:22Z",
99 "archived": true,
100 "externalId": "string",
101 "id": 0,
102 "cultureId": 0,
103 "value": "string"
104 }
105 ]
106 },
107 "reportCurrency": {
108 "id": 0,
109 "status": "CREATED",
110 "displayId": "string",
111 "erpSystemId": 0,
112 "erpSystemDisplayId": "string",
113 "name": "string",
114 "decimalPoints": 0,
115 "depreciationAreaId": 0
116 },
117 "expenseCategories": [
118 {
119 "id": 0,
120 "status": "CREATED",
121 "displayId": "string",
122 "name": "string",
123 "editable": true,
124 "expenseCategoryType": "PAYMENT"
125 }
126 ],
127 "massProfileFilters": [
128 {
129 "createdBy": "string",
130 "lastModifiedBy": "string",
131 "createdDate": "2019-08-24T14:15:22Z",
132 "lastModifiedDate": "2019-08-24T14:15:22Z",
133 "archived": true,
134 "externalId": "string",
135 "id": 0,
136 "name": "string",
137 "description": "string",
138 "leaseList": true,
139 "leaseIds": [
140 0
141 ],
142 "leases": [
143 {
144 "createdBy": "string",
145 "lastModifiedBy": "string",
146 "createdDate": "2019-08-24T14:15:22Z",
147 "lastModifiedDate": "2019-08-24T14:15:22Z",
148 "archived": true,
149 "externalId": "string",
150 "id": 0,
151 "typeId": 0,
152 "terminatingLease": "2019-08-24",
153 "maximumDateTo": "2019-08-24",
154 "number": "string",
155 "validFrom": "2019-08-24",
156 "validTo": "2019-08-24",
157 "categoryId": 0,
158 "registrationNumber": "string",
159 "statusId": 0,
160 "stateId": 0,
161 "calculateTax": true,
162 "autoMonthToMonth": true,
163 "originalLeaseId": 0,
164 "scenario": true,
165 "parentLeaseId": 0,
166 "areasHistoryVersionId": 0,
167 "provisioningFrequencyName": "string",
168 "accountingApproved": true,
169 "indexationType": "string",
170 "cpiGlobalCategoryId": 0,
171 "indexationReferenceDate": "2019-08-24",
172 "currentIndexLevel": 0.1,
173 "conditionallyIndexed": true,
174 "applicableCurrentIndexLevel": 0.1,
175 "indexLevelPercentageChangeLowerBound": 0.1,
176 "indexLevelPercentageChangeUpperBound": 0.1,
177 "indexationTypeNonLease": "string",
178 "cpiGlobalCategoryIdNonLease": 0,
179 "indexationReferenceDateNonLease": "2019-08-24",
180 "currentIndexLevelNonLease": 0.1,
181 "conditionallyIndexedNonLease": true,
182 "applicableCurrentIndexLevelNonLease": 0.1,
183 "indexLevelPercentageChangeLowerBoundNonLease": 0.1,
184 "indexLevelPercentageChangeUpperBoundNonLease": 0.1,
185 "signatureDate": "2019-08-24",
186 "premiseId": 0,
187 "type": {
188 "createdBy": "string",
189 "lastModifiedBy": "string",
190 "createdDate": "2019-08-24T14:15:22Z",
191 "lastModifiedDate": "2019-08-24T14:15:22Z",
192 "archived": true,
193 "externalId": "string",
194 "id": 0,
195 "priority": 0,
196 "internalId": 0,
197 "pickListCode": "string",
198 "pickListLabel": "string",
199 "label": "string",
200 "cultureId": 0,
201 "labelDtos": [
202 {
203 "createdBy": "string",
204 "lastModifiedBy": "string",
205 "createdDate": "2019-08-24T14:15:22Z",
206 "lastModifiedDate": "2019-08-24T14:15:22Z",
207 "archived": true,
208 "externalId": "string",
209 "id": 0,
210 "cultureId": 0,
211 "value": "string"
212 }
213 ]
214 },
215 "category": {
216 "createdBy": "string",
217 "lastModifiedBy": "string",
218 "createdDate": "2019-08-24T14:15:22Z",
219 "lastModifiedDate": "2019-08-24T14:15:22Z",
220 "archived": true,
221 "externalId": "string",
222 "id": 0,
223 "priority": 0,
224 "internalId": 0,
225 "pickListCode": "string",
226 "pickListLabel": "string",
227 "label": "string",
228 "cultureId": 0,
229 "labelDtos": [
230 {
231 "createdBy": "string",
232 "lastModifiedBy": "string",
233 "createdDate": "2019-08-24T14:15:22Z",
234 "lastModifiedDate": "2019-08-24T14:15:22Z",
235 "archived": true,
236 "externalId": "string",
237 "id": 0,
238 "cultureId": 0,
239 "value": "string"
240 }
241 ]
242 },
243 "status": {
244 "createdBy": "string",
245 "lastModifiedBy": "string",
246 "createdDate": "2019-08-24T14:15:22Z",
247 "lastModifiedDate": "2019-08-24T14:15:22Z",
248 "archived": true,
249 "externalId": "string",
250 "id": 0,
251 "priority": 0,
252 "internalId": 0,
253 "pickListCode": "string",
254 "pickListLabel": "string",
255 "label": "string",
256 "cultureId": 0,
257 "labelDtos": [
258 {
259 "createdBy": "string",
260 "lastModifiedBy": "string",
261 "createdDate": "2019-08-24T14:15:22Z",
262 "lastModifiedDate": "2019-08-24T14:15:22Z",
263 "archived": true,
264 "externalId": "string",
265 "id": 0,
266 "cultureId": 0,
267 "value": "string"
268 }
269 ]
270 },
271 "state": {
272 "createdBy": "string",
273 "lastModifiedBy": "string",
274 "createdDate": "2019-08-24T14:15:22Z",
275 "lastModifiedDate": "2019-08-24T14:15:22Z",
276 "archived": true,
277 "externalId": "string",
278 "id": 0,
279 "priority": 0,
280 "internalId": 0,
281 "pickListCode": "string",
282 "pickListLabel": "string",
283 "label": "string",
284 "cultureId": 0,
285 "labelDtos": [
286 {
287 "createdBy": "string",
288 "lastModifiedBy": "string",
289 "createdDate": "2019-08-24T14:15:22Z",
290 "lastModifiedDate": "2019-08-24T14:15:22Z",
291 "archived": true,
292 "externalId": "string",
293 "id": 0,
294 "cultureId": 0,
295 "value": "string"
296 }
297 ]
298 },
299 "version": {
300 "createdBy": "string",
301 "lastModifiedBy": "string",
302 "createdDate": "2019-08-24T14:15:22Z",
303 "lastModifiedDate": "2019-08-24T14:15:22Z",
304 "archived": true,
305 "externalId": "string",
306 "id": 0,
307 "name": "string",
308 "description": "string",
309 "modificationDate": "2019-08-24",
310 "updateContractRate": true,
311 "leaseEvent": {
312 "createdBy": "string",
313 "lastModifiedBy": "string",
314 "createdDate": "2019-08-24T14:15:22Z",
315 "lastModifiedDate": "2019-08-24T14:15:22Z",
316 "archived": true,
317 "externalId": "string",
318 "id": 0,
319 "typeId": 0,
320 "code": "string",
321 "reviewedBy": "string",
322 "reviewedDate": "2019-08-24",
323 "reviewedStatusId": 0,
324 "activityDate": "2019-08-24",
325 "relatedPickListOptionId": 0,
326 "detail": "string",
327 "note": {
328 "createdBy": "string",
329 "lastModifiedBy": "string",
330 "createdDate": "2019-08-24T14:15:22Z",
331 "lastModifiedDate": "2019-08-24T14:15:22Z",
332 "archived": true,
333 "externalId": "string",
334 "id": 0,
335 "message": "string",
336 "preserveOriginalAudit": true,
337 "originalCreatedBy": "string",
338 "originalCreatedDate": "2019-08-24T14:15:22Z",
339 "originalLastModifiedBy": "string",
340 "originalLastModifiedDate": "2019-08-24T14:15:22Z"
341 },
342 "type": {
343 "createdBy": "string",
344 "lastModifiedBy": "string",
345 "createdDate": "2019-08-24T14:15:22Z",
346 "lastModifiedDate": "2019-08-24T14:15:22Z",
347 "archived": true,
348 "externalId": "string",
349 "id": 0,
350 "priority": 0,
351 "internalId": 0,
352 "pickListCode": "string",
353 "pickListLabel": "string",
354 "label": "string",
355 "cultureId": 0,
356 "labelDtos": [
357 {
358 "createdBy": "string",
359 "lastModifiedBy": "string",
360 "createdDate": "2019-08-24T14:15:22Z",
361 "lastModifiedDate": "2019-08-24T14:15:22Z",
362 "archived": true,
363 "externalId": "string",
364 "id": 0,
365 "cultureId": 0,
366 "value": "string"
367 }
368 ]
369 },
370 "reviewedStatus": {
371 "createdBy": "string",
372 "lastModifiedBy": "string",
373 "createdDate": "2019-08-24T14:15:22Z",
374 "lastModifiedDate": "2019-08-24T14:15:22Z",
375 "archived": true,
376 "externalId": "string",
377 "id": 0,
378 "priority": 0,
379 "internalId": 0,
380 "pickListCode": "string",
381 "pickListLabel": "string",
382 "label": "string",
383 "cultureId": 0,
384 "labelDtos": [
385 {
386 "createdBy": "string",
387 "lastModifiedBy": "string",
388 "createdDate": "2019-08-24T14:15:22Z",
389 "lastModifiedDate": "2019-08-24T14:15:22Z",
390 "archived": true,
391 "externalId": "string",
392 "id": 0,
393 "cultureId": 0,
394 "value": "string"
395 }
396 ]
397 },
398 "relatedPickListOption": {
399 "createdBy": "string",
400 "lastModifiedBy": "string",
401 "createdDate": "2019-08-24T14:15:22Z",
402 "lastModifiedDate": "2019-08-24T14:15:22Z",
403 "archived": true,
404 "externalId": "string",
405 "id": 0,
406 "priority": 0,
407 "internalId": 0,
408 "pickListCode": "string",
409 "pickListLabel": "string",
410 "label": "string",
411 "cultureId": 0,
412 "labelDtos": [
413 {
414 "createdBy": "string",
415 "lastModifiedBy": "string",
416 "createdDate": "2019-08-24T14:15:22Z",
417 "lastModifiedDate": "2019-08-24T14:15:22Z",
418 "archived": true,
419 "externalId": "string",
420 "id": 0,
421 "cultureId": 0,
422 "value": "string"
423 }
424 ]
425 },
426 "isVisiblePartnerPortal": true
427 },
428 "isVisibleVendorPortal": true,
429 "isTerminationVersion": true,
430 "terminationDate": "2019-08-24",
431 "penaltyAmount": 0.1,
432 "areasHistoryVersionId": 0
433 },
434 "premiseDto": {
435 "createdBy": "string",
436 "lastModifiedBy": "string",
437 "createdDate": "2019-08-24T14:15:22Z",
438 "lastModifiedDate": "2019-08-24T14:15:22Z",
439 "archived": true,
440 "externalId": "string",
441 "id": 0,
442 "number": "string",
443 "name": "string",
444 "headPremise": true,
445 "possessionDate": "2019-08-24",
446 "openingDate": "2019-08-24",
447 "closingDate": "2019-08-24",
448 "relocationDate": "2019-08-24",
449 "vacatingDate": "2019-08-24",
450 "expansionDate": "2019-08-24",
451 "statusId": 0,
452 "usageId": 0,
453 "parentPremiseId": 0,
454 "costCenterId": 0,
455 "profitCenterId": 0,
456 "legalEntityId": 0,
457 "occupancyIds": [
458 0
459 ],
460 "locationId": 0,
461 "locationDto": {
462 "createdBy": "string",
463 "lastModifiedBy": "string",
464 "createdDate": "2019-08-24T14:15:22Z",
465 "lastModifiedDate": "2019-08-24T14:15:22Z",
466 "archived": true,
467 "externalId": "string",
468 "id": 0,
469 "number": "string",
470 "name": "string",
471 "storeNumber": "string",
472 "defaultCurrencyId": 0,
473 "defaultMeasureId": 0,
474 "typeId": 0,
475 "qualityId": 0,
476 "propertyTypeId": 0,
477 "categoryId": 0,
478 "statusId": 0,
479 "businessUnitId": 0,
480 "groupIds": [
481 0
482 ],
483 "legalEntityIds": [
484 0
485 ],
486 "defaultCurrency": {
487 "id": 0,
488 "status": "CREATED",
489 "displayId": "string",
490 "erpSystemId": 0,
491 "erpSystemDisplayId": "string",
492 "name": "string",
493 "decimalPoints": 0,
494 "depreciationAreaId": 0
495 },
496 "defaultUnitValue": {
497 "createdBy": "string",
498 "lastModifiedBy": "string",
499 "createdDate": "2019-08-24T14:15:22Z",
500 "lastModifiedDate": "2019-08-24T14:15:22Z",
501 "archived": true,
502 "externalId": "string",
503 "id": 0,
504 "unitId": 0,
505 "unitOfMeasureId": 0,
506 "erpSystemId": 0,
507 "unit": {
508 "createdBy": "string",
509 "lastModifiedBy": "string",
510 "createdDate": "2019-08-24T14:15:22Z",
511 "lastModifiedDate": "2019-08-24T14:15:22Z",
512 "archived": true,
513 "externalId": "string",
514 "id": 0,
515 "priority": 0,
516 "internalId": 0,
517 "pickListCode": "string",
518 "pickListLabel": "string",
519 "label": "string",
520 "cultureId": 0,
521 "labelDtos": [
522 {}
523 ]
524 },
525 "unitOfMeasure": {
526 "id": 0,
527 "status": "CREATED",
528 "displayId": "string",
529 "erpSystemId": 0,
530 "erpSystemDisplayId": "string",
531 "name": "string"
532 }
533 },
534 "type": {
535 "createdBy": "string",
536 "lastModifiedBy": "string",
537 "createdDate": "2019-08-24T14:15:22Z",
538 "lastModifiedDate": "2019-08-24T14:15:22Z",
539 "archived": true,
540 "externalId": "string",
541 "id": 0,
542 "priority": 0,
543 "internalId": 0,
544 "pickListCode": "string",
545 "pickListLabel": "string",
546 "label": "string",
547 "cultureId": 0,
548 "labelDtos": [
549 {
550 "createdBy": "string",
551 "lastModifiedBy": "string",
552 "createdDate": "2019-08-24T14:15:22Z",
553 "lastModifiedDate": "2019-08-24T14:15:22Z",
554 "archived": true,
555 "externalId": "string",
556 "id": 0,
557 "cultureId": 0,
558 "value": "string"
559 }
560 ]
561 },
562 "quality": {
563 "createdBy": "string",
564 "lastModifiedBy": "string",
565 "createdDate": "2019-08-24T14:15:22Z",
566 "lastModifiedDate": "2019-08-24T14:15:22Z",
567 "archived": true,
568 "externalId": "string",
569 "id": 0,
570 "priority": 0,
571 "internalId": 0,
572 "pickListCode": "string",
573 "pickListLabel": "string",
574 "label": "string",
575 "cultureId": 0,
576 "labelDtos": [
577 {
578 "createdBy": "string",
579 "lastModifiedBy": "string",
580 "createdDate": "2019-08-24T14:15:22Z",
581 "lastModifiedDate": "2019-08-24T14:15:22Z",
582 "archived": true,
583 "externalId": "string",
584 "id": 0,
585 "cultureId": 0,
586 "value": "string"
587 }
588 ]
589 },
590 "propertyType": {
591 "createdBy": "string",
592 "lastModifiedBy": "string",
593 "createdDate": "2019-08-24T14:15:22Z",
594 "lastModifiedDate": "2019-08-24T14:15:22Z",
595 "archived": true,
596 "externalId": "string",
597 "id": 0,
598 "priority": 0,
599 "internalId": 0,
600 "pickListCode": "string",
601 "pickListLabel": "string",
602 "label": "string",
603 "cultureId": 0,
604 "labelDtos": [
605 {
606 "createdBy": "string",
607 "lastModifiedBy": "string",
608 "createdDate": "2019-08-24T14:15:22Z",
609 "lastModifiedDate": "2019-08-24T14:15:22Z",
610 "archived": true,
611 "externalId": "string",
612 "id": 0,
613 "cultureId": 0,
614 "value": "string"
615 }
616 ]
617 },
618 "category": {
619 "createdBy": "string",
620 "lastModifiedBy": "string",
621 "createdDate": "2019-08-24T14:15:22Z",
622 "lastModifiedDate": "2019-08-24T14:15:22Z",
623 "archived": true,
624 "externalId": "string",
625 "id": 0,
626 "priority": 0,
627 "internalId": 0,
628 "pickListCode": "string",
629 "pickListLabel": "string",
630 "label": "string",
631 "cultureId": 0,
632 "labelDtos": [
633 {
634 "createdBy": "string",
635 "lastModifiedBy": "string",
636 "createdDate": "2019-08-24T14:15:22Z",
637 "lastModifiedDate": "2019-08-24T14:15:22Z",
638 "archived": true,
639 "externalId": "string",
640 "id": 0,
641 "cultureId": 0,
642 "value": "string"
643 }
644 ]
645 },
646 "status": {
647 "createdBy": "string",
648 "lastModifiedBy": "string",
649 "createdDate": "2019-08-24T14:15:22Z",
650 "lastModifiedDate": "2019-08-24T14:15:22Z",
651 "archived": true,
652 "externalId": "string",
653 "id": 0,
654 "priority": 0,
655 "internalId": 0,
656 "pickListCode": "string",
657 "pickListLabel": "string",
658 "label": "string",
659 "cultureId": 0,
660 "labelDtos": [
661 {
662 "createdBy": "string",
663 "lastModifiedBy": "string",
664 "createdDate": "2019-08-24T14:15:22Z",
665 "lastModifiedDate": "2019-08-24T14:15:22Z",
666 "archived": true,
667 "externalId": "string",
668 "id": 0,
669 "cultureId": 0,
670 "value": "string"
671 }
672 ]
673 },
674 "addressDto": {
675 "createdBy": "string",
676 "lastModifiedBy": "string",
677 "createdDate": "2019-08-24T14:15:22Z",
678 "lastModifiedDate": "2019-08-24T14:15:22Z",
679 "archived": true,
680 "externalId": "string",
681 "id": 0,
682 "street": "string",
683 "civicNumber": "string",
684 "suite": "string",
685 "postalCode": "string",
686 "lon": 0.1,
687 "lat": 0.1,
688 "city": {
689 "createdBy": "string",
690 "lastModifiedBy": "string",
691 "createdDate": "2019-08-24T14:15:22Z",
692 "lastModifiedDate": "2019-08-24T14:15:22Z",
693 "archived": true,
694 "externalId": "string",
695 "id": 0,
696 "name": "string",
697 "province": {
698 "createdBy": "string",
699 "lastModifiedBy": "string",
700 "createdDate": "2019-08-24T14:15:22Z",
701 "lastModifiedDate": "2019-08-24T14:15:22Z",
702 "archived": true,
703 "externalId": "string",
704 "id": 0,
705 "name": "string",
706 "code": "string",
707 "country": {},
708 "provinceCountryKey": "string"
709 },
710 "cityProvinceCountryKey": "string"
711 },
712 "district": {
713 "createdBy": "string",
714 "lastModifiedBy": "string",
715 "createdDate": "2019-08-24T14:15:22Z",
716 "lastModifiedDate": "2019-08-24T14:15:22Z",
717 "archived": true,
718 "externalId": "string",
719 "id": 0,
720 "name": "string",
721 "city": {
722 "createdBy": "string",
723 "lastModifiedBy": "string",
724 "createdDate": "2019-08-24T14:15:22Z",
725 "lastModifiedDate": "2019-08-24T14:15:22Z",
726 "archived": true,
727 "externalId": "string",
728 "id": 0,
729 "name": "string",
730 "province": {},
731 "cityProvinceCountryKey": "string"
732 }
733 },
734 "cityId": 0,
735 "districtId": 0
736 },
737 "secondAddressDto": {
738 "createdBy": "string",
739 "lastModifiedBy": "string",
740 "createdDate": "2019-08-24T14:15:22Z",
741 "lastModifiedDate": "2019-08-24T14:15:22Z",
742 "archived": true,
743 "externalId": "string",
744 "id": 0,
745 "street": "string",
746 "civicNumber": "string",
747 "suite": "string",
748 "postalCode": "string",
749 "lon": 0.1,
750 "lat": 0.1,
751 "city": {
752 "createdBy": "string",
753 "lastModifiedBy": "string",
754 "createdDate": "2019-08-24T14:15:22Z",
755 "lastModifiedDate": "2019-08-24T14:15:22Z",
756 "archived": true,
757 "externalId": "string",
758 "id": 0,
759 "name": "string",
760 "province": {
761 "createdBy": "string",
762 "lastModifiedBy": "string",
763 "createdDate": "2019-08-24T14:15:22Z",
764 "lastModifiedDate": "2019-08-24T14:15:22Z",
765 "archived": true,
766 "externalId": "string",
767 "id": 0,
768 "name": "string",
769 "code": "string",
770 "country": {},
771 "provinceCountryKey": "string"
772 },
773 "cityProvinceCountryKey": "string"
774 },
775 "district": {
776 "createdBy": "string",
777 "lastModifiedBy": "string",
778 "createdDate": "2019-08-24T14:15:22Z",
779 "lastModifiedDate": "2019-08-24T14:15:22Z",
780 "archived": true,
781 "externalId": "string",
782 "id": 0,
783 "name": "string",
784 "city": {
785 "createdBy": "string",
786 "lastModifiedBy": "string",
787 "createdDate": "2019-08-24T14:15:22Z",
788 "lastModifiedDate": "2019-08-24T14:15:22Z",
789 "archived": true,
790 "externalId": "string",
791 "id": 0,
792 "name": "string",
793 "province": {},
794 "cityProvinceCountryKey": "string"
795 }
796 },
797 "cityId": 0,
798 "districtId": 0
799 }
800 },
801 "status": {
802 "createdBy": "string",
803 "lastModifiedBy": "string",
804 "createdDate": "2019-08-24T14:15:22Z",
805 "lastModifiedDate": "2019-08-24T14:15:22Z",
806 "archived": true,
807 "externalId": "string",
808 "id": 0,
809 "priority": 0,
810 "internalId": 0,
811 "pickListCode": "string",
812 "pickListLabel": "string",
813 "label": "string",
814 "cultureId": 0,
815 "labelDtos": [
816 {
817 "createdBy": "string",
818 "lastModifiedBy": "string",
819 "createdDate": "2019-08-24T14:15:22Z",
820 "lastModifiedDate": "2019-08-24T14:15:22Z",
821 "archived": true,
822 "externalId": "string",
823 "id": 0,
824 "cultureId": 0,
825 "value": "string"
826 }
827 ]
828 },
829 "usage": {
830 "createdBy": "string",
831 "lastModifiedBy": "string",
832 "createdDate": "2019-08-24T14:15:22Z",
833 "lastModifiedDate": "2019-08-24T14:15:22Z",
834 "archived": true,
835 "externalId": "string",
836 "id": 0,
837 "priority": 0,
838 "internalId": 0,
839 "pickListCode": "string",
840 "pickListLabel": "string",
841 "label": "string",
842 "cultureId": 0,
843 "labelDtos": [
844 {
845 "createdBy": "string",
846 "lastModifiedBy": "string",
847 "createdDate": "2019-08-24T14:15:22Z",
848 "lastModifiedDate": "2019-08-24T14:15:22Z",
849 "archived": true,
850 "externalId": "string",
851 "id": 0,
852 "cultureId": 0,
853 "value": "string"
854 }
855 ]
856 },
857 "occupanciesDto": [
858 {
859 "createdBy": "string",
860 "lastModifiedBy": "string",
861 "createdDate": "2019-08-24T14:15:22Z",
862 "lastModifiedDate": "2019-08-24T14:15:22Z",
863 "archived": true,
864 "externalId": "string",
865 "id": 0,
866 "priority": 0,
867 "internalId": 0,
868 "pickListCode": "string",
869 "pickListLabel": "string",
870 "label": "string",
871 "cultureId": 0,
872 "labelDtos": [
873 {
874 "createdBy": "string",
875 "lastModifiedBy": "string",
876 "createdDate": "2019-08-24T14:15:22Z",
877 "lastModifiedDate": "2019-08-24T14:15:22Z",
878 "archived": true,
879 "externalId": "string",
880 "id": 0,
881 "cultureId": 0,
882 "value": "string"
883 }
884 ]
885 }
886 ]
887 },
888 "isTerminationVersion": true
889 }
890 ],
891 "leaseFileNumbers": [
892 "string"
893 ],
894 "validFrom": "2019-08-24",
895 "validTo": "2019-08-24",
896 "cityIds": [
897 0
898 ],
899 "provinceIds": [
900 0
901 ],
902 "countryIds": [
903 0
904 ],
905 "premiseIds": [
906 0
907 ],
908 "locationIds": [
909 0
910 ],
911 "businessUnitIds": [
912 0
913 ],
914 "legalEntityIds": [
915 0
916 ],
917 "groupIds": [
918 "string"
919 ],
920 "groupOptionIds": [
921 0
922 ],
923 "masterAgreementIds": [
924 0
925 ],
926 "contractIds": [
927 0
928 ],
929 "statusIds": [
930 0
931 ],
932 "cities": [
933 {
934 "createdBy": "string",
935 "lastModifiedBy": "string",
936 "createdDate": "2019-08-24T14:15:22Z",
937 "lastModifiedDate": "2019-08-24T14:15:22Z",
938 "archived": true,
939 "externalId": "string",
940 "id": 0,
941 "name": "string",
942 "province": {
943 "createdBy": "string",
944 "lastModifiedBy": "string",
945 "createdDate": "2019-08-24T14:15:22Z",
946 "lastModifiedDate": "2019-08-24T14:15:22Z",
947 "archived": true,
948 "externalId": "string",
949 "id": 0,
950 "name": "string",
951 "country": {
952 "createdBy": "string",
953 "lastModifiedBy": "string",
954 "createdDate": "2019-08-24T14:15:22Z",
955 "lastModifiedDate": "2019-08-24T14:15:22Z",
956 "archived": true,
957 "externalId": "string",
958 "id": 0,
959 "name": "string",
960 "code": "string"
961 },
962 "code": "string",
963 "countryId": 0
964 },
965 "provinceId": 0
966 }
967 ],
968 "provinces": [
969 {
970 "createdBy": "string",
971 "lastModifiedBy": "string",
972 "createdDate": "2019-08-24T14:15:22Z",
973 "lastModifiedDate": "2019-08-24T14:15:22Z",
974 "archived": true,
975 "externalId": "string",
976 "id": 0,
977 "name": "string",
978 "country": {
979 "createdBy": "string",
980 "lastModifiedBy": "string",
981 "createdDate": "2019-08-24T14:15:22Z",
982 "lastModifiedDate": "2019-08-24T14:15:22Z",
983 "archived": true,
984 "externalId": "string",
985 "id": 0,
986 "name": "string",
987 "code": "string"
988 },
989 "code": "string",
990 "countryId": 0
991 }
992 ],
993 "countries": [
994 {
995 "createdBy": "string",
996 "lastModifiedBy": "string",
997 "createdDate": "2019-08-24T14:15:22Z",
998 "lastModifiedDate": "2019-08-24T14:15:22Z",
999 "archived": true,
1000 "externalId": "string",
1001 "id": 0,
1002 "name": "string",
1003 "code": "string"
1004 }
1005 ],
1006 "locations": [
1007 {
1008 "createdBy": "string",
1009 "lastModifiedBy": "string",
1010 "createdDate": "2019-08-24T14:15:22Z",
1011 "lastModifiedDate": "2019-08-24T14:15:22Z",
1012 "archived": true,
1013 "externalId": "string",
1014 "id": 0,
1015 "number": "string",
1016 "name": "string",
1017 "storeNumber": "string",
1018 "defaultCurrencyId": 0,
1019 "defaultMeasureId": 0,
1020 "typeId": 0,
1021 "qualityId": 0,
1022 "propertyTypeId": 0,
1023 "categoryId": 0,
1024 "statusId": 0,
1025 "businessUnitId": 0,
1026 "groupIds": [
1027 0
1028 ],
1029 "legalEntityIds": [
1030 0
1031 ],
1032 "defaultCurrency": {
1033 "id": 0,
1034 "status": "CREATED",
1035 "displayId": "string",
1036 "erpSystemId": 0,
1037 "erpSystemDisplayId": "string",
1038 "name": "string",
1039 "decimalPoints": 0,
1040 "depreciationAreaId": 0
1041 },
1042 "defaultUnitValue": {
1043 "createdBy": "string",
1044 "lastModifiedBy": "string",
1045 "createdDate": "2019-08-24T14:15:22Z",
1046 "lastModifiedDate": "2019-08-24T14:15:22Z",
1047 "archived": true,
1048 "externalId": "string",
1049 "id": 0,
1050 "unitId": 0,
1051 "unitOfMeasureId": 0,
1052 "erpSystemId": 0,
1053 "unit": {
1054 "createdBy": "string",
1055 "lastModifiedBy": "string",
1056 "createdDate": "2019-08-24T14:15:22Z",
1057 "lastModifiedDate": "2019-08-24T14:15:22Z",
1058 "archived": true,
1059 "externalId": "string",
1060 "id": 0,
1061 "priority": 0,
1062 "internalId": 0,
1063 "pickListCode": "string",
1064 "pickListLabel": "string",
1065 "label": "string",
1066 "cultureId": 0,
1067 "labelDtos": [
1068 {
1069 "createdBy": "string",
1070 "lastModifiedBy": "string",
1071 "createdDate": "2019-08-24T14:15:22Z",
1072 "lastModifiedDate": "2019-08-24T14:15:22Z",
1073 "archived": true,
1074 "externalId": "string",
1075 "id": 0,
1076 "cultureId": 0,
1077 "value": "string"
1078 }
1079 ]
1080 },
1081 "unitOfMeasure": {
1082 "id": 0,
1083 "status": "CREATED",
1084 "displayId": "string",
1085 "erpSystemId": 0,
1086 "erpSystemDisplayId": "string",
1087 "name": "string"
1088 }
1089 },
1090 "type": {
1091 "createdBy": "string",
1092 "lastModifiedBy": "string",
1093 "createdDate": "2019-08-24T14:15:22Z",
1094 "lastModifiedDate": "2019-08-24T14:15:22Z",
1095 "archived": true,
1096 "externalId": "string",
1097 "id": 0,
1098 "priority": 0,
1099 "internalId": 0,
1100 "pickListCode": "string",
1101 "pickListLabel": "string",
1102 "label": "string",
1103 "cultureId": 0,
1104 "labelDtos": [
1105 {
1106 "createdBy": "string",
1107 "lastModifiedBy": "string",
1108 "createdDate": "2019-08-24T14:15:22Z",
1109 "lastModifiedDate": "2019-08-24T14:15:22Z",
1110 "archived": true,
1111 "externalId": "string",
1112 "id": 0,
1113 "cultureId": 0,
1114 "value": "string"
1115 }
1116 ]
1117 },
1118 "quality": {
1119 "createdBy": "string",
1120 "lastModifiedBy": "string",
1121 "createdDate": "2019-08-24T14:15:22Z",
1122 "lastModifiedDate": "2019-08-24T14:15:22Z",
1123 "archived": true,
1124 "externalId": "string",
1125 "id": 0,
1126 "priority": 0,
1127 "internalId": 0,
1128 "pickListCode": "string",
1129 "pickListLabel": "string",
1130 "label": "string",
1131 "cultureId": 0,
1132 "labelDtos": [
1133 {
1134 "createdBy": "string",
1135 "lastModifiedBy": "string",
1136 "createdDate": "2019-08-24T14:15:22Z",
1137 "lastModifiedDate": "2019-08-24T14:15:22Z",
1138 "archived": true,
1139 "externalId": "string",
1140 "id": 0,
1141 "cultureId": 0,
1142 "value": "string"
1143 }
1144 ]
1145 },
1146 "propertyType": {
1147 "createdBy": "string",
1148 "lastModifiedBy": "string",
1149 "createdDate": "2019-08-24T14:15:22Z",
1150 "lastModifiedDate": "2019-08-24T14:15:22Z",
1151 "archived": true,
1152 "externalId": "string",
1153 "id": 0,
1154 "priority": 0,
1155 "internalId": 0,
1156 "pickListCode": "string",
1157 "pickListLabel": "string",
1158 "label": "string",
1159 "cultureId": 0,
1160 "labelDtos": [
1161 {
1162 "createdBy": "string",
1163 "lastModifiedBy": "string",
1164 "createdDate": "2019-08-24T14:15:22Z",
1165 "lastModifiedDate": "2019-08-24T14:15:22Z",
1166 "archived": true,
1167 "externalId": "string",
1168 "id": 0,
1169 "cultureId": 0,
1170 "value": "string"
1171 }
1172 ]
1173 },
1174 "category": {
1175 "createdBy": "string",
1176 "lastModifiedBy": "string",
1177 "createdDate": "2019-08-24T14:15:22Z",
1178 "lastModifiedDate": "2019-08-24T14:15:22Z",
1179 "archived": true,
1180 "externalId": "string",
1181 "id": 0,
1182 "priority": 0,
1183 "internalId": 0,
1184 "pickListCode": "string",
1185 "pickListLabel": "string",
1186 "label": "string",
1187 "cultureId": 0,
1188 "labelDtos": [
1189 {
1190 "createdBy": "string",
1191 "lastModifiedBy": "string",
1192 "createdDate": "2019-08-24T14:15:22Z",
1193 "lastModifiedDate": "2019-08-24T14:15:22Z",
1194 "archived": true,
1195 "externalId": "string",
1196 "id": 0,
1197 "cultureId": 0,
1198 "value": "string"
1199 }
1200 ]
1201 },
1202 "status": {
1203 "createdBy": "string",
1204 "lastModifiedBy": "string",
1205 "createdDate": "2019-08-24T14:15:22Z",
1206 "lastModifiedDate": "2019-08-24T14:15:22Z",
1207 "archived": true,
1208 "externalId": "string",
1209 "id": 0,
1210 "priority": 0,
1211 "internalId": 0,
1212 "pickListCode": "string",
1213 "pickListLabel": "string",
1214 "label": "string",
1215 "cultureId": 0,
1216 "labelDtos": [
1217 {
1218 "createdBy": "string",
1219 "lastModifiedBy": "string",
1220 "createdDate": "2019-08-24T14:15:22Z",
1221 "lastModifiedDate": "2019-08-24T14:15:22Z",
1222 "archived": true,
1223 "externalId": "string",
1224 "id": 0,
1225 "cultureId": 0,
1226 "value": "string"
1227 }
1228 ]
1229 },
1230 "addressDto": {
1231 "createdBy": "string",
1232 "lastModifiedBy": "string",
1233 "createdDate": "2019-08-24T14:15:22Z",
1234 "lastModifiedDate": "2019-08-24T14:15:22Z",
1235 "archived": true,
1236 "externalId": "string",
1237 "id": 0,
1238 "street": "string",
1239 "civicNumber": "string",
1240 "suite": "string",
1241 "postalCode": "string",
1242 "lon": 0.1,
1243 "lat": 0.1,
1244 "city": {
1245 "createdBy": "string",
1246 "lastModifiedBy": "string",
1247 "createdDate": "2019-08-24T14:15:22Z",
1248 "lastModifiedDate": "2019-08-24T14:15:22Z",
1249 "archived": true,
1250 "externalId": "string",
1251 "id": 0,
1252 "name": "string",
1253 "province": {
1254 "createdBy": "string",
1255 "lastModifiedBy": "string",
1256 "createdDate": "2019-08-24T14:15:22Z",
1257 "lastModifiedDate": "2019-08-24T14:15:22Z",
1258 "archived": true,
1259 "externalId": "string",
1260 "id": 0,
1261 "name": "string",
1262 "code": "string",
1263 "country": {
1264 "createdBy": "string",
1265 "lastModifiedBy": "string",
1266 "createdDate": "2019-08-24T14:15:22Z",
1267 "lastModifiedDate": "2019-08-24T14:15:22Z",
1268 "archived": true,
1269 "externalId": "string",
1270 "id": 0,
1271 "name": "string",
1272 "code": "string"
1273 },
1274 "provinceCountryKey": "string"
1275 },
1276 "cityProvinceCountryKey": "string"
1277 },
1278 "district": {
1279 "createdBy": "string",
1280 "lastModifiedBy": "string",
1281 "createdDate": "2019-08-24T14:15:22Z",
1282 "lastModifiedDate": "2019-08-24T14:15:22Z",
1283 "archived": true,
1284 "externalId": "string",
1285 "id": 0,
1286 "name": "string",
1287 "city": {
1288 "createdBy": "string",
1289 "lastModifiedBy": "string",
1290 "createdDate": "2019-08-24T14:15:22Z",
1291 "lastModifiedDate": "2019-08-24T14:15:22Z",
1292 "archived": true,
1293 "externalId": "string",
1294 "id": 0,
1295 "name": "string",
1296 "province": {
1297 "createdBy": "string",
1298 "lastModifiedBy": "string",
1299 "createdDate": "2019-08-24T14:15:22Z",
1300 "lastModifiedDate": "2019-08-24T14:15:22Z",
1301 "archived": true,
1302 "externalId": "string",
1303 "id": 0,
1304 "name": "string",
1305 "code": "string",
1306 "country": {
1307 "createdBy": "string",
1308 "lastModifiedBy": "string",
1309 "createdDate": "2019-08-24T14:15:22Z",
1310 "lastModifiedDate": "2019-08-24T14:15:22Z",
1311 "archived": true,
1312 "externalId": "string",
1313 "id": 0,
1314 "name": "string",
1315 "code": "string"
1316 },
1317 "provinceCountryKey": "string"
1318 },
1319 "cityProvinceCountryKey": "string"
1320 }
1321 },
1322 "cityId": 0,
1323 "districtId": 0
1324 },
1325 "secondAddressDto": {
1326 "createdBy": "string",
1327 "lastModifiedBy": "string",
1328 "createdDate": "2019-08-24T14:15:22Z",
1329 "lastModifiedDate": "2019-08-24T14:15:22Z",
1330 "archived": true,
1331 "externalId": "string",
1332 "id": 0,
1333 "street": "string",
1334 "civicNumber": "string",
1335 "suite": "string",
1336 "postalCode": "string",
1337 "lon": 0.1,
1338 "lat": 0.1,
1339 "city": {
1340 "createdBy": "string",
1341 "lastModifiedBy": "string",
1342 "createdDate": "2019-08-24T14:15:22Z",
1343 "lastModifiedDate": "2019-08-24T14:15:22Z",
1344 "archived": true,
1345 "externalId": "string",
1346 "id": 0,
1347 "name": "string",
1348 "province": {
1349 "createdBy": "string",
1350 "lastModifiedBy": "string",
1351 "createdDate": "2019-08-24T14:15:22Z",
1352 "lastModifiedDate": "2019-08-24T14:15:22Z",
1353 "archived": true,
1354 "externalId": "string",
1355 "id": 0,
1356 "name": "string",
1357 "code": "string",
1358 "country": {
1359 "createdBy": "string",
1360 "lastModifiedBy": "string",
1361 "createdDate": "2019-08-24T14:15:22Z",
1362 "lastModifiedDate": "2019-08-24T14:15:22Z",
1363 "archived": true,
1364 "externalId": "string",
1365 "id": 0,
1366 "name": "string",
1367 "code": "string"
1368 },
1369 "provinceCountryKey": "string"
1370 },
1371 "cityProvinceCountryKey": "string"
1372 },
1373 "district": {
1374 "createdBy": "string",
1375 "lastModifiedBy": "string",
1376 "createdDate": "2019-08-24T14:15:22Z",
1377 "lastModifiedDate": "2019-08-24T14:15:22Z",
1378 "archived": true,
1379 "externalId": "string",
1380 "id": 0,
1381 "name": "string",
1382 "city": {
1383 "createdBy": "string",
1384 "lastModifiedBy": "string",
1385 "createdDate": "2019-08-24T14:15:22Z",
1386 "lastModifiedDate": "2019-08-24T14:15:22Z",
1387 "archived": true,
1388 "externalId": "string",
1389 "id": 0,
1390 "name": "string",
1391 "province": {
1392 "createdBy": "string",
1393 "lastModifiedBy": "string",
1394 "createdDate": "2019-08-24T14:15:22Z",
1395 "lastModifiedDate": "2019-08-24T14:15:22Z",
1396 "archived": true,
1397 "externalId": "string",
1398 "id": 0,
1399 "name": "string",
1400 "code": "string",
1401 "country": {
1402 "createdBy": "string",
1403 "lastModifiedBy": "string",
1404 "createdDate": "2019-08-24T14:15:22Z",
1405 "lastModifiedDate": "2019-08-24T14:15:22Z",
1406 "archived": true,
1407 "externalId": "string",
1408 "id": 0,
1409 "name": "string",
1410 "code": "string"
1411 },
1412 "provinceCountryKey": "string"
1413 },
1414 "cityProvinceCountryKey": "string"
1415 }
1416 },
1417 "cityId": 0,
1418 "districtId": 0
1419 }
1420 }
1421 ],
1422 "premises": [
1423 {
1424 "createdBy": "string",
1425 "lastModifiedBy": "string",
1426 "createdDate": "2019-08-24T14:15:22Z",
1427 "lastModifiedDate": "2019-08-24T14:15:22Z",
1428 "archived": true,
1429 "externalId": "string",
1430 "id": 0,
1431 "number": "string",
1432 "name": "string",
1433 "headPremise": true,
1434 "possessionDate": "2019-08-24",
1435 "openingDate": "2019-08-24",
1436 "closingDate": "2019-08-24",
1437 "relocationDate": "2019-08-24",
1438 "vacatingDate": "2019-08-24",
1439 "expansionDate": "2019-08-24",
1440 "statusId": 0,
1441 "usageId": 0,
1442 "parentPremiseId": 0,
1443 "costCenterId": 0,
1444 "profitCenterId": 0,
1445 "legalEntityId": 0,
1446 "occupancyIds": [
1447 0
1448 ],
1449 "locationId": 0,
1450 "locationDto": {
1451 "createdBy": "string",
1452 "lastModifiedBy": "string",
1453 "createdDate": "2019-08-24T14:15:22Z",
1454 "lastModifiedDate": "2019-08-24T14:15:22Z",
1455 "archived": true,
1456 "externalId": "string",
1457 "id": 0,
1458 "number": "string",
1459 "name": "string",
1460 "storeNumber": "string",
1461 "defaultCurrencyId": 0,
1462 "defaultMeasureId": 0,
1463 "typeId": 0,
1464 "qualityId": 0,
1465 "propertyTypeId": 0,
1466 "categoryId": 0,
1467 "statusId": 0,
1468 "businessUnitId": 0,
1469 "groupIds": [
1470 0
1471 ],
1472 "legalEntityIds": [
1473 0
1474 ],
1475 "defaultCurrency": {
1476 "id": 0,
1477 "status": "CREATED",
1478 "displayId": "string",
1479 "erpSystemId": 0,
1480 "erpSystemDisplayId": "string",
1481 "name": "string",
1482 "decimalPoints": 0,
1483 "depreciationAreaId": 0
1484 },
1485 "defaultUnitValue": {
1486 "createdBy": "string",
1487 "lastModifiedBy": "string",
1488 "createdDate": "2019-08-24T14:15:22Z",
1489 "lastModifiedDate": "2019-08-24T14:15:22Z",
1490 "archived": true,
1491 "externalId": "string",
1492 "id": 0,
1493 "unitId": 0,
1494 "unitOfMeasureId": 0,
1495 "erpSystemId": 0,
1496 "unit": {
1497 "createdBy": "string",
1498 "lastModifiedBy": "string",
1499 "createdDate": "2019-08-24T14:15:22Z",
1500 "lastModifiedDate": "2019-08-24T14:15:22Z",
1501 "archived": true,
1502 "externalId": "string",
1503 "id": 0,
1504 "priority": 0,
1505 "internalId": 0,
1506 "pickListCode": "string",
1507 "pickListLabel": "string",
1508 "label": "string",
1509 "cultureId": 0,
1510 "labelDtos": [
1511 {
1512 "createdBy": "string",
1513 "lastModifiedBy": "string",
1514 "createdDate": "2019-08-24T14:15:22Z",
1515 "lastModifiedDate": "2019-08-24T14:15:22Z",
1516 "archived": true,
1517 "externalId": "string",
1518 "id": 0,
1519 "cultureId": 0,
1520 "value": "string"
1521 }
1522 ]
1523 },
1524 "unitOfMeasure": {
1525 "id": 0,
1526 "status": "CREATED",
1527 "displayId": "string",
1528 "erpSystemId": 0,
1529 "erpSystemDisplayId": "string",
1530 "name": "string"
1531 }
1532 },
1533 "type": {
1534 "createdBy": "string",
1535 "lastModifiedBy": "string",
1536 "createdDate": "2019-08-24T14:15:22Z",
1537 "lastModifiedDate": "2019-08-24T14:15:22Z",
1538 "archived": true,
1539 "externalId": "string",
1540 "id": 0,
1541 "priority": 0,
1542 "internalId": 0,
1543 "pickListCode": "string",
1544 "pickListLabel": "string",
1545 "label": "string",
1546 "cultureId": 0,
1547 "labelDtos": [
1548 {
1549 "createdBy": "string",
1550 "lastModifiedBy": "string",
1551 "createdDate": "2019-08-24T14:15:22Z",
1552 "lastModifiedDate": "2019-08-24T14:15:22Z",
1553 "archived": true,
1554 "externalId": "string",
1555 "id": 0,
1556 "cultureId": 0,
1557 "value": "string"
1558 }
1559 ]
1560 },
1561 "quality": {
1562 "createdBy": "string",
1563 "lastModifiedBy": "string",
1564 "createdDate": "2019-08-24T14:15:22Z",
1565 "lastModifiedDate": "2019-08-24T14:15:22Z",
1566 "archived": true,
1567 "externalId": "string",
1568 "id": 0,
1569 "priority": 0,
1570 "internalId": 0,
1571 "pickListCode": "string",
1572 "pickListLabel": "string",
1573 "label": "string",
1574 "cultureId": 0,
1575 "labelDtos": [
1576 {
1577 "createdBy": "string",
1578 "lastModifiedBy": "string",
1579 "createdDate": "2019-08-24T14:15:22Z",
1580 "lastModifiedDate": "2019-08-24T14:15:22Z",
1581 "archived": true,
1582 "externalId": "string",
1583 "id": 0,
1584 "cultureId": 0,
1585 "value": "string"
1586 }
1587 ]
1588 },
1589 "propertyType": {
1590 "createdBy": "string",
1591 "lastModifiedBy": "string",
1592 "createdDate": "2019-08-24T14:15:22Z",
1593 "lastModifiedDate": "2019-08-24T14:15:22Z",
1594 "archived": true,
1595 "externalId": "string",
1596 "id": 0,
1597 "priority": 0,
1598 "internalId": 0,
1599 "pickListCode": "string",
1600 "pickListLabel": "string",
1601 "label": "string",
1602 "cultureId": 0,
1603 "labelDtos": [
1604 {
1605 "createdBy": "string",
1606 "lastModifiedBy": "string",
1607 "createdDate": "2019-08-24T14:15:22Z",
1608 "lastModifiedDate": "2019-08-24T14:15:22Z",
1609 "archived": true,
1610 "externalId": "string",
1611 "id": 0,
1612 "cultureId": 0,
1613 "value": "string"
1614 }
1615 ]
1616 },
1617 "category": {
1618 "createdBy": "string",
1619 "lastModifiedBy": "string",
1620 "createdDate": "2019-08-24T14:15:22Z",
1621 "lastModifiedDate": "2019-08-24T14:15:22Z",
1622 "archived": true,
1623 "externalId": "string",
1624 "id": 0,
1625 "priority": 0,
1626 "internalId": 0,
1627 "pickListCode": "string",
1628 "pickListLabel": "string",
1629 "label": "string",
1630 "cultureId": 0,
1631 "labelDtos": [
1632 {
1633 "createdBy": "string",
1634 "lastModifiedBy": "string",
1635 "createdDate": "2019-08-24T14:15:22Z",
1636 "lastModifiedDate": "2019-08-24T14:15:22Z",
1637 "archived": true,
1638 "externalId": "string",
1639 "id": 0,
1640 "cultureId": 0,
1641 "value": "string"
1642 }
1643 ]
1644 },
1645 "status": {
1646 "createdBy": "string",
1647 "lastModifiedBy": "string",
1648 "createdDate": "2019-08-24T14:15:22Z",
1649 "lastModifiedDate": "2019-08-24T14:15:22Z",
1650 "archived": true,
1651 "externalId": "string",
1652 "id": 0,
1653 "priority": 0,
1654 "internalId": 0,
1655 "pickListCode": "string",
1656 "pickListLabel": "string",
1657 "label": "string",
1658 "cultureId": 0,
1659 "labelDtos": [
1660 {
1661 "createdBy": "string",
1662 "lastModifiedBy": "string",
1663 "createdDate": "2019-08-24T14:15:22Z",
1664 "lastModifiedDate": "2019-08-24T14:15:22Z",
1665 "archived": true,
1666 "externalId": "string",
1667 "id": 0,
1668 "cultureId": 0,
1669 "value": "string"
1670 }
1671 ]
1672 },
1673 "addressDto": {
1674 "createdBy": "string",
1675 "lastModifiedBy": "string",
1676 "createdDate": "2019-08-24T14:15:22Z",
1677 "lastModifiedDate": "2019-08-24T14:15:22Z",
1678 "archived": true,
1679 "externalId": "string",
1680 "id": 0,
1681 "street": "string",
1682 "civicNumber": "string",
1683 "suite": "string",
1684 "postalCode": "string",
1685 "lon": 0.1,
1686 "lat": 0.1,
1687 "city": {
1688 "createdBy": "string",
1689 "lastModifiedBy": "string",
1690 "createdDate": "2019-08-24T14:15:22Z",
1691 "lastModifiedDate": "2019-08-24T14:15:22Z",
1692 "archived": true,
1693 "externalId": "string",
1694 "id": 0,
1695 "name": "string",
1696 "province": {
1697 "createdBy": "string",
1698 "lastModifiedBy": "string",
1699 "createdDate": "2019-08-24T14:15:22Z",
1700 "lastModifiedDate": "2019-08-24T14:15:22Z",
1701 "archived": true,
1702 "externalId": "string",
1703 "id": 0,
1704 "name": "string",
1705 "code": "string",
1706 "country": {
1707 "createdBy": "string",
1708 "lastModifiedBy": "string",
1709 "createdDate": "2019-08-24T14:15:22Z",
1710 "lastModifiedDate": "2019-08-24T14:15:22Z",
1711 "archived": true,
1712 "externalId": "string",
1713 "id": 0,
1714 "name": "string",
1715 "code": "string"
1716 },
1717 "provinceCountryKey": "string"
1718 },
1719 "cityProvinceCountryKey": "string"
1720 },
1721 "district": {
1722 "createdBy": "string",
1723 "lastModifiedBy": "string",
1724 "createdDate": "2019-08-24T14:15:22Z",
1725 "lastModifiedDate": "2019-08-24T14:15:22Z",
1726 "archived": true,
1727 "externalId": "string",
1728 "id": 0,
1729 "name": "string",
1730 "city": {
1731 "createdBy": "string",
1732 "lastModifiedBy": "string",
1733 "createdDate": "2019-08-24T14:15:22Z",
1734 "lastModifiedDate": "2019-08-24T14:15:22Z",
1735 "archived": true,
1736 "externalId": "string",
1737 "id": 0,
1738 "name": "string",
1739 "province": {
1740 "createdBy": "string",
1741 "lastModifiedBy": "string",
1742 "createdDate": "2019-08-24T14:15:22Z",
1743 "lastModifiedDate": "2019-08-24T14:15:22Z",
1744 "archived": true,
1745 "externalId": "string",
1746 "id": 0,
1747 "name": "string",
1748 "code": "string",
1749 "country": {},
1750 "provinceCountryKey": "string"
1751 },
1752 "cityProvinceCountryKey": "string"
1753 }
1754 },
1755 "cityId": 0,
1756 "districtId": 0
1757 },
1758 "secondAddressDto": {
1759 "createdBy": "string",
1760 "lastModifiedBy": "string",
1761 "createdDate": "2019-08-24T14:15:22Z",
1762 "lastModifiedDate": "2019-08-24T14:15:22Z",
1763 "archived": true,
1764 "externalId": "string",
1765 "id": 0,
1766 "street": "string",
1767 "civicNumber": "string",
1768 "suite": "string",
1769 "postalCode": "string",
1770 "lon": 0.1,
1771 "lat": 0.1,
1772 "city": {
1773 "createdBy": "string",
1774 "lastModifiedBy": "string",
1775 "createdDate": "2019-08-24T14:15:22Z",
1776 "lastModifiedDate": "2019-08-24T14:15:22Z",
1777 "archived": true,
1778 "externalId": "string",
1779 "id": 0,
1780 "name": "string",
1781 "province": {
1782 "createdBy": "string",
1783 "lastModifiedBy": "string",
1784 "createdDate": "2019-08-24T14:15:22Z",
1785 "lastModifiedDate": "2019-08-24T14:15:22Z",
1786 "archived": true,
1787 "externalId": "string",
1788 "id": 0,
1789 "name": "string",
1790 "code": "string",
1791 "country": {
1792 "createdBy": "string",
1793 "lastModifiedBy": "string",
1794 "createdDate": "2019-08-24T14:15:22Z",
1795 "lastModifiedDate": "2019-08-24T14:15:22Z",
1796 "archived": true,
1797 "externalId": "string",
1798 "id": 0,
1799 "name": "string",
1800 "code": "string"
1801 },
1802 "provinceCountryKey": "string"
1803 },
1804 "cityProvinceCountryKey": "string"
1805 },
1806 "district": {
1807 "createdBy": "string",
1808 "lastModifiedBy": "string",
1809 "createdDate": "2019-08-24T14:15:22Z",
1810 "lastModifiedDate": "2019-08-24T14:15:22Z",
1811 "archived": true,
1812 "externalId": "string",
1813 "id": 0,
1814 "name": "string",
1815 "city": {
1816 "createdBy": "string",
1817 "lastModifiedBy": "string",
1818 "createdDate": "2019-08-24T14:15:22Z",
1819 "lastModifiedDate": "2019-08-24T14:15:22Z",
1820 "archived": true,
1821 "externalId": "string",
1822 "id": 0,
1823 "name": "string",
1824 "province": {
1825 "createdBy": "string",
1826 "lastModifiedBy": "string",
1827 "createdDate": "2019-08-24T14:15:22Z",
1828 "lastModifiedDate": "2019-08-24T14:15:22Z",
1829 "archived": true,
1830 "externalId": "string",
1831 "id": 0,
1832 "name": "string",
1833 "code": "string",
1834 "country": {},
1835 "provinceCountryKey": "string"
1836 },
1837 "cityProvinceCountryKey": "string"
1838 }
1839 },
1840 "cityId": 0,
1841 "districtId": 0
1842 }
1843 },
1844 "status": {
1845 "createdBy": "string",
1846 "lastModifiedBy": "string",
1847 "createdDate": "2019-08-24T14:15:22Z",
1848 "lastModifiedDate": "2019-08-24T14:15:22Z",
1849 "archived": true,
1850 "externalId": "string",
1851 "id": 0,
1852 "priority": 0,
1853 "internalId": 0,
1854 "pickListCode": "string",
1855 "pickListLabel": "string",
1856 "label": "string",
1857 "cultureId": 0,
1858 "labelDtos": [
1859 {
1860 "createdBy": "string",
1861 "lastModifiedBy": "string",
1862 "createdDate": "2019-08-24T14:15:22Z",
1863 "lastModifiedDate": "2019-08-24T14:15:22Z",
1864 "archived": true,
1865 "externalId": "string",
1866 "id": 0,
1867 "cultureId": 0,
1868 "value": "string"
1869 }
1870 ]
1871 },
1872 "usage": {
1873 "createdBy": "string",
1874 "lastModifiedBy": "string",
1875 "createdDate": "2019-08-24T14:15:22Z",
1876 "lastModifiedDate": "2019-08-24T14:15:22Z",
1877 "archived": true,
1878 "externalId": "string",
1879 "id": 0,
1880 "priority": 0,
1881 "internalId": 0,
1882 "pickListCode": "string",
1883 "pickListLabel": "string",
1884 "label": "string",
1885 "cultureId": 0,
1886 "labelDtos": [
1887 {
1888 "createdBy": "string",
1889 "lastModifiedBy": "string",
1890 "createdDate": "2019-08-24T14:15:22Z",
1891 "lastModifiedDate": "2019-08-24T14:15:22Z",
1892 "archived": true,
1893 "externalId": "string",
1894 "id": 0,
1895 "cultureId": 0,
1896 "value": "string"
1897 }
1898 ]
1899 },
1900 "occupanciesDto": [
1901 {
1902 "createdBy": "string",
1903 "lastModifiedBy": "string",
1904 "createdDate": "2019-08-24T14:15:22Z",
1905 "lastModifiedDate": "2019-08-24T14:15:22Z",
1906 "archived": true,
1907 "externalId": "string",
1908 "id": 0,
1909 "priority": 0,
1910 "internalId": 0,
1911 "pickListCode": "string",
1912 "pickListLabel": "string",
1913 "label": "string",
1914 "cultureId": 0,
1915 "labelDtos": [
1916 {
1917 "createdBy": "string",
1918 "lastModifiedBy": "string",
1919 "createdDate": "2019-08-24T14:15:22Z",
1920 "lastModifiedDate": "2019-08-24T14:15:22Z",
1921 "archived": true,
1922 "externalId": "string",
1923 "id": 0,
1924 "cultureId": 0,
1925 "value": "string"
1926 }
1927 ]
1928 }
1929 ]
1930 }
1931 ],
1932 "groups": [
1933 {
1934 "createdBy": "string",
1935 "lastModifiedBy": "string",
1936 "createdDate": "2019-08-24T14:15:22Z",
1937 "lastModifiedDate": "2019-08-24T14:15:22Z",
1938 "archived": true,
1939 "externalId": "string",
1940 "id": "string",
1941 "code": "string",
1942 "priority": 0,
1943 "pickListType": "string",
1944 "label": "string",
1945 "cultureId": 0,
1946 "reportable": true,
1947 "labelDtos": [
1948 {
1949 "createdBy": "string",
1950 "lastModifiedBy": "string",
1951 "createdDate": "2019-08-24T14:15:22Z",
1952 "lastModifiedDate": "2019-08-24T14:15:22Z",
1953 "archived": true,
1954 "externalId": "string",
1955 "id": 0,
1956 "cultureId": 0,
1957 "value": "string"
1958 }
1959 ]
1960 }
1961 ],
1962 "groupOptions": [
1963 {
1964 "createdBy": "string",
1965 "lastModifiedBy": "string",
1966 "createdDate": "2019-08-24T14:15:22Z",
1967 "lastModifiedDate": "2019-08-24T14:15:22Z",
1968 "archived": true,
1969 "externalId": "string",
1970 "id": 0,
1971 "priority": 0,
1972 "internalId": 0,
1973 "pickListCode": "string",
1974 "pickListLabel": "string",
1975 "label": "string",
1976 "cultureId": 0,
1977 "labelDtos": [
1978 {
1979 "createdBy": "string",
1980 "lastModifiedBy": "string",
1981 "createdDate": "2019-08-24T14:15:22Z",
1982 "lastModifiedDate": "2019-08-24T14:15:22Z",
1983 "archived": true,
1984 "externalId": "string",
1985 "id": 0,
1986 "cultureId": 0,
1987 "value": "string"
1988 }
1989 ]
1990 }
1991 ],
1992 "businessUnits": [
1993 {
1994 "id": 0,
1995 "status": "CREATED",
1996 "displayId": "string",
1997 "name": "string",
1998 "leaseAreaId": 0,
1999 "companyId": 0
2000 }
2001 ],
2002 "legalEntities": [
2003 {
2004 "id": 0,
2005 "status": "CREATED",
2006 "displayId": "string",
2007 "erpSystemId": 0,
2008 "erpSystemDisplayId": "string",
2009 "countryId": 0,
2010 "countryDisplayId": "string",
2011 "postingPeriodVariantId": 0,
2012 "name": "string",
2013 "postingPeriodVariantDisplayId": "string",
2014 "controllingAreaId": 0,
2015 "controllingAreaDisplayId": "string",
2016 "chartOfAccountId": 0,
2017 "chartOfAccountDisplayId": "string",
2018 "fiscalVariantId": 0,
2019 "fiscalVariantDisplayId": "string",
2020 "chartOfDepreciationId": 0,
2021 "chartOfDepreciationDisplayId": "string",
2022 "purchasingOrganizationId": 0,
2023 "assetId": 0,
2024 "exchangeRateTypeId": 0,
2025 "plantId": 0,
2026 "incrementalBorrowingRateId": 0,
2027 "businessUnitId": 0,
2028 "projectId": 0,
2029 "transferVariantId": 0,
2030 "partnerId": 0,
2031 "departmentId": 0,
2032 "accountingStandardId": 0,
2033 "generalLedgerAccountId": 0,
2034 "consumerPriceIndexCategoryId": 0,
2035 "costCenterId": 0,
2036 "costCenterRelationValidFrom": "2019-08-24",
2037 "costCenterRelationValidTo": "2019-08-24"
2038 }
2039 ],
2040 "statusOptions": [
2041 {
2042 "createdBy": "string",
2043 "lastModifiedBy": "string",
2044 "createdDate": "2019-08-24T14:15:22Z",
2045 "lastModifiedDate": "2019-08-24T14:15:22Z",
2046 "archived": true,
2047 "externalId": "string",
2048 "id": 0,
2049 "priority": 0,
2050 "internalId": 0,
2051 "pickListCode": "string",
2052 "pickListLabel": "string",
2053 "label": "string",
2054 "cultureId": 0,
2055 "labelDtos": [
2056 {
2057 "createdBy": "string",
2058 "lastModifiedBy": "string",
2059 "createdDate": "2019-08-24T14:15:22Z",
2060 "lastModifiedDate": "2019-08-24T14:15:22Z",
2061 "archived": true,
2062 "externalId": "string",
2063 "id": 0,
2064 "cultureId": 0,
2065 "value": "string"
2066 }
2067 ]
2068 }
2069 ],
2070 "masterAgreements": [
2071 {
2072 "id": 0,
2073 "displayId": "string",
2074 "year": 1900,
2075 "name": "string",
2076 "description": "string",
2077 "validFrom": "2019-08-24",
2078 "validTo": "2019-08-24",
2079 "targetValue": 0.1,
2080 "legalJurisdiction": "string",
2081 "approverComment": "string",
2082 "signingPerson": "string",
2083 "placeOfSignature": "string",
2084 "dateOfSignature": "2019-08-24",
2085 "state": "MLA_DEFINE",
2086 "dataCreationInfo": {
2087 "id": 0,
2088 "idGenerationType": "AUTO",
2089 "source": "string",
2090 "type": "MIGRATION",
2091 "startDateTime": "2019-08-24T14:15:22Z",
2092 "endDateTime": "2019-08-24T14:15:22Z"
2093 },
2094 "agreementGroup": {
2095 "id": 0,
2096 "displayId": "string",
2097 "status": "CREATED",
2098 "name": "string"
2099 },
2100 "currency": {
2101 "id": 0,
2102 "displayId": "string",
2103 "status": "CREATED",
2104 "name": "string",
2105 "decimalPoints": 0
2106 },
2107 "internalAssetClass": {
2108 "id": 0,
2109 "displayId": "string",
2110 "status": "CREATED",
2111 "name": "string",
2112 "assetClassType": "PROPERTY",
2113 "infiniteUsefulLife": true
2114 },
2115 "leaseArea": {
2116 "id": 0,
2117 "displayId": "string",
2118 "status": "CREATED",
2119 "name": "string"
2120 },
2121 "businessUnit": {
2122 "id": 0,
2123 "displayId": "string",
2124 "status": "CREATED",
2125 "name": "string"
2126 },
2127 "companyCode": {
2128 "id": 0,
2129 "displayId": "string",
2130 "status": "CREATED",
2131 "erpSystemId": 0,
2132 "erpSystemDisplayId": "string",
2133 "countryId": 0,
2134 "countryDisplayId": "string",
2135 "name": "string",
2136 "postingPeriodVariantId": 0,
2137 "fiscalVariantId": 0
2138 },
2139 "department": {
2140 "id": 0,
2141 "displayId": "string",
2142 "status": "CREATED",
2143 "name": "string"
2144 },
2145 "leaseGroup": {
2146 "id": 0,
2147 "displayId": "string",
2148 "status": "CREATED",
2149 "name": "string"
2150 },
2151 "allowsSystemGenerateNewId": true,
2152 "numberRangeIdentifierType": {
2153 "name": "string"
2154 },
2155 "numberRangeIdentifierValue": "string",
2156 "numberRangeType": {
2157 "name": "string"
2158 }
2159 }
2160 ],
2161 "contracts": [
2162 {
2163 "id": 0,
2164 "displayId": "string",
2165 "name": "string",
2166 "principalPositionType": "LESSEE",
2167 "validFrom": "2019-08-24",
2168 "validTo": "2019-08-24",
2169 "amendmentDate": "2019-08-24",
2170 "approverComment": "string",
2171 "contractPhase": "INITIAL",
2172 "dataCreationInfo": {
2173 "id": 0,
2174 "idGenerationType": "AUTO",
2175 "source": "string",
2176 "type": "MIGRATION",
2177 "startDateTime": "2019-08-24T14:15:22Z",
2178 "endDateTime": "2019-08-24T14:15:22Z"
2179 },
2180 "leaseType": "LEASE_CONTRACT_FIXED_PART_A",
2181 "revision": {
2182 "id": 0,
2183 "displayId": "string",
2184 "name": "string",
2185 "inception": true,
2186 "revisionType": "REVISION",
2187 "state": "MLA_DEFINE",
2188 "approvedBy": "string",
2189 "approvedAt": "2019-08-24T14:15:22Z",
2190 "parentRevisionId": 0,
2191 "approverComment": "string",
2192 "contractId": 0,
2193 "contractDisplayId": "string",
2194 "contractName": "string",
2195 "principalPositionType": "LESSEE",
2196 "mlaId": 0,
2197 "companyId": 0,
2198 "description": "string",
2199 "externalReference": "string",
2200 "internalReference": "string",
2201 "formOfLease": "FULL",
2202 "jointVentureLeaseType": "GROSS_LEASE",
2203 "businessPlace": "string",
2204 "tradingPartner": {
2205 "id": 0,
2206 "displayId": "string",
2207 "status": "CREATED",
2208 "name": "string",
2209 "erpSystemId": 0,
2210 "erpSystemDisplayId": "string"
2211 },
2212 "contractCategoryGroup": {
2213 "id": 0,
2214 "displayId": "string",
2215 "status": "CREATED",
2216 "name": "string"
2217 },
2218 "contractGroup1": {
2219 "id": 0,
2220 "displayId": "string",
2221 "status": "CREATED",
2222 "name": "string"
2223 },
2224 "contractGroup2": {
2225 "id": 0,
2226 "displayId": "string",
2227 "status": "CREATED",
2228 "name": "string"
2229 },
2230 "group3": "string",
2231 "group4": "string",
2232 "signingPerson": "string",
2233 "placeOfSignature": "string",
2234 "dateOfSignature": "2019-08-24",
2235 "numberRangeIdentifierType": {
2236 "name": "string"
2237 },
2238 "numberRangeIdentifierValue": "string",
2239 "numberRangeType": {
2240 "name": "string"
2241 },
2242 "allowsSystemGenerateNewId": true
2243 },
2244 "currency": {
2245 "id": 0,
2246 "displayId": "string",
2247 "status": "CREATED",
2248 "name": "string",
2249 "decimalPoints": 0
2250 },
2251 "companyCurrency": {
2252 "id": 0,
2253 "displayId": "string",
2254 "status": "CREATED",
2255 "name": "string",
2256 "decimalPoints": 0
2257 },
2258 "indexedCurrency": true,
2259 "assetValueCurrencyType": "CONTRACT_CURRENCY",
2260 "currencyLocked": true,
2261 "leaseArea": {
2262 "id": 0,
2263 "displayId": "string",
2264 "status": "CREATED",
2265 "name": "string"
2266 },
2267 "businessUnit": {
2268 "id": 0,
2269 "displayId": "string",
2270 "status": "CREATED",
2271 "name": "string"
2272 },
2273 "businessUnitLocked": true,
2274 "companyCode": {
2275 "id": 0,
2276 "displayId": "string",
2277 "status": "CREATED",
2278 "erpSystemId": 0,
2279 "erpSystemDisplayId": "string",
2280 "countryId": 0,
2281 "countryDisplayId": "string",
2282 "name": "string",
2283 "postingPeriodVariantId": 0,
2284 "fiscalVariantId": 0
2285 },
2286 "companyCodeLocked": true,
2287 "department": {
2288 "id": 0,
2289 "displayId": "string",
2290 "status": "CREATED",
2291 "name": "string"
2292 },
2293 "departmentLocked": true,
2294 "leaseGroup": {
2295 "id": 0,
2296 "displayId": "string",
2297 "status": "CREATED",
2298 "name": "string"
2299 },
2300 "leaseGroupLocked": true,
2301 "subleasingInternalAssetClass": {
2302 "id": 0,
2303 "displayId": "string",
2304 "status": "CREATED",
2305 "name": "string",
2306 "assetClassType": "PROPERTY",
2307 "infiniteUsefulLife": true
2308 },
2309 "contractGroup1": {
2310 "id": 0,
2311 "displayId": "string",
2312 "status": "CREATED",
2313 "name": "string"
2314 },
2315 "contractGroup2": {
2316 "id": 0,
2317 "displayId": "string",
2318 "status": "CREATED",
2319 "name": "string"
2320 },
2321 "subleasing": true,
2322 "subleasingContractRevisionInfo": {
2323 "id": 0,
2324 "contractId": 0,
2325 "contractDisplayId": "string",
2326 "contractName": "string"
2327 },
2328 "subleasingLeaseComponentRevisionInfo": {
2329 "id": 0,
2330 "leaseComponentId": 0,
2331 "leaseComponentDisplayId": "string",
2332 "leaseComponentName": "string"
2333 },
2334 "subleasingActivationGroupRevisionInfo": {
2335 "id": 0,
2336 "activationGroupId": 0,
2337 "activationGroupDisplayId": "string",
2338 "activationGroupName": "string"
2339 },
2340 "notifications": [
2341 {
2342 "id": 0,
2343 "topic": {
2344 "enCaption": "string",
2345 "frCaption": "string",
2346 "name": "string",
2347 "priority": "HIGH"
2348 },
2349 "username": "string",
2350 "contractId": 0,
2351 "contractDisplayId": "string",
2352 "targetId": "string",
2353 "targetType": "string"
2354 }
2355 ],
2356 "masterAgreementId": 0,
2357 "masterAgreementDisplayId": "string",
2358 "allowsSystemGenerateNewId": true,
2359 "transferInfo": {
2360 "transferredFromDisplayId": "string",
2361 "transferredFromRevisionId": 0,
2362 "transferredToDisplayId": "string",
2363 "transferredToRevisionId": 0
2364 },
2365 "numberRangeIdentifierType": {
2366 "name": "string"
2367 },
2368 "numberRangeIdentifierValue": "string",
2369 "numberRangeType": {
2370 "name": "string"
2371 }
2372 }
2373 ],
2374 "listingCitiesValue": "string",
2375 "listingCitiesValues": [
2376 "string"
2377 ],
2378 "listingProvincesValue": "string",
2379 "listingProvincesValues": [
2380 "string"
2381 ],
2382 "listingCountriesValue": "string",
2383 "listingCountriesValues": [
2384 "string"
2385 ],
2386 "listingLocationsValue": "string",
2387 "listingLocationsValues": [
2388 "string"
2389 ],
2390 "listingPremisesValue": "string",
2391 "listingPremisesValues": [
2392 "string"
2393 ],
2394 "listingGroupsValue": "string",
2395 "listingGroupsValues": [
2396 "string"
2397 ],
2398 "listingGroupOptionsValue": "string",
2399 "listingGroupOptionsValues": [
2400 "string"
2401 ],
2402 "listingBusinessUnitsValue": "string",
2403 "listingBusinessUnitsValues": [
2404 "string"
2405 ],
2406 "listingLegalEntitiesValue": "string",
2407 "listingLegalEntitiesValues": [
2408 "string"
2409 ],
2410 "listingMasterAgreementsValue": "string",
2411 "listingMasterAgreementsValues": [
2412 "string"
2413 ],
2414 "listingContractsValue": "string",
2415 "listingContractsValues": [
2416 "string"
2417 ],
2418 "listingStatusOptionsValue": "string",
2419 "listingStatusOptionsValues": [
2420 "string"
2421 ]
2422 }
2423 ],
2424 "expenseCategoryAssumptions": [
2425 {
2426 "createdBy": "string",
2427 "lastModifiedBy": "string",
2428 "createdDate": "2019-08-24T14:15:22Z",
2429 "lastModifiedDate": "2019-08-24T14:15:22Z",
2430 "archived": true,
2431 "externalId": "string",
2432 "id": 0,
2433 "foReportId": 0,
2434 "expenseCategoryId": 0,
2435 "percentageChange": 0,
2436 "source": "string",
2437 "startDate": "2019-08-24",
2438 "endDate": "2019-08-24"
2439 }
2440 ],
2441 "includeCharges": true
2442}
Update Foreport¶
HTTP Request
PUT /api/financial-obligation-reports/{id}
📋 Description: Updates the financial obligation report identified by the specified ID, enabling users to refine asset analytics within the Nakisa Portfolio Management Suite for enhanced portfolio management and real estate property insights.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
body |
body |
true |
Request body containing the updated financial obligation report data, including asset details, portfolio metrics, and analytics relevant to real estate property management. |
Body Parameters
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "name": "string",
10 "description": "string",
11 "fiscalStartDate": "2019-08-24",
12 "startDate": "2019-08-24",
13 "endDate": "2019-08-24",
14 "userSelectedEndDate": true,
15 "statusId": 0,
16 "frequencyId": 0,
17 "generatedBy": "string",
18 "generatedDate": "2019-08-24T14:15:22Z",
19 "approvedBy": "string",
20 "approvedDate": "2019-08-24T14:15:22Z",
21 "generateJobId": 0,
22 "numberOfLeaseEntriesToProcess": 0,
23 "numberOfLeaseEntriesProcessed": 0,
24 "reportCurrencyDisplayId": "string",
25 "expenseCategoryIds": [
26 0
27 ],
28 "leaseIds": [
29 0
30 ],
31 "massProfileFilterIds": [
32 0
33 ],
34 "notes": [
35 {
36 "createdBy": "string",
37 "lastModifiedBy": "string",
38 "createdDate": "2019-08-24T14:15:22Z",
39 "lastModifiedDate": "2019-08-24T14:15:22Z",
40 "archived": true,
41 "externalId": "string",
42 "id": 0,
43 "message": "string",
44 "preserveOriginalAudit": true,
45 "originalCreatedBy": "string",
46 "originalCreatedDate": "2019-08-24T14:15:22Z",
47 "originalLastModifiedBy": "string",
48 "originalLastModifiedDate": "2019-08-24T14:15:22Z"
49 }
50 ],
51 "status": {
52 "createdBy": "string",
53 "lastModifiedBy": "string",
54 "createdDate": "2019-08-24T14:15:22Z",
55 "lastModifiedDate": "2019-08-24T14:15:22Z",
56 "archived": true,
57 "externalId": "string",
58 "id": 0,
59 "priority": 0,
60 "internalId": 0,
61 "pickListCode": "string",
62 "pickListLabel": "string",
63 "label": "string",
64 "cultureId": 0,
65 "labelDtos": [
66 {
67 "createdBy": "string",
68 "lastModifiedBy": "string",
69 "createdDate": "2019-08-24T14:15:22Z",
70 "lastModifiedDate": "2019-08-24T14:15:22Z",
71 "archived": true,
72 "externalId": "string",
73 "id": 0,
74 "cultureId": 0,
75 "value": "string"
76 }
77 ]
78 },
79 "frequency": {
80 "createdBy": "string",
81 "lastModifiedBy": "string",
82 "createdDate": "2019-08-24T14:15:22Z",
83 "lastModifiedDate": "2019-08-24T14:15:22Z",
84 "archived": true,
85 "externalId": "string",
86 "id": 0,
87 "priority": 0,
88 "internalId": 0,
89 "pickListCode": "string",
90 "pickListLabel": "string",
91 "label": "string",
92 "cultureId": 0,
93 "labelDtos": [
94 {
95 "createdBy": "string",
96 "lastModifiedBy": "string",
97 "createdDate": "2019-08-24T14:15:22Z",
98 "lastModifiedDate": "2019-08-24T14:15:22Z",
99 "archived": true,
100 "externalId": "string",
101 "id": 0,
102 "cultureId": 0,
103 "value": "string"
104 }
105 ]
106 },
107 "reportCurrency": {
108 "id": 0,
109 "status": "CREATED",
110 "displayId": "string",
111 "erpSystemId": 0,
112 "erpSystemDisplayId": "string",
113 "name": "string",
114 "decimalPoints": 0,
115 "depreciationAreaId": 0
116 },
117 "expenseCategories": [
118 {
119 "id": 0,
120 "status": "CREATED",
121 "displayId": "string",
122 "name": "string",
123 "editable": true,
124 "expenseCategoryType": "PAYMENT"
125 }
126 ],
127 "massProfileFilters": [
128 {
129 "createdBy": "string",
130 "lastModifiedBy": "string",
131 "createdDate": "2019-08-24T14:15:22Z",
132 "lastModifiedDate": "2019-08-24T14:15:22Z",
133 "archived": true,
134 "externalId": "string",
135 "id": 0,
136 "name": "string",
137 "description": "string",
138 "leaseList": true,
139 "leaseIds": [
140 0
141 ],
142 "leases": [
143 {
144 "createdBy": "string",
145 "lastModifiedBy": "string",
146 "createdDate": "2019-08-24T14:15:22Z",
147 "lastModifiedDate": "2019-08-24T14:15:22Z",
148 "archived": true,
149 "externalId": "string",
150 "id": 0,
151 "typeId": 0,
152 "terminatingLease": "2019-08-24",
153 "maximumDateTo": "2019-08-24",
154 "number": "string",
155 "validFrom": "2019-08-24",
156 "validTo": "2019-08-24",
157 "categoryId": 0,
158 "registrationNumber": "string",
159 "statusId": 0,
160 "stateId": 0,
161 "calculateTax": true,
162 "autoMonthToMonth": true,
163 "originalLeaseId": 0,
164 "scenario": true,
165 "parentLeaseId": 0,
166 "areasHistoryVersionId": 0,
167 "provisioningFrequencyName": "string",
168 "accountingApproved": true,
169 "indexationType": "string",
170 "cpiGlobalCategoryId": 0,
171 "indexationReferenceDate": "2019-08-24",
172 "currentIndexLevel": 0.1,
173 "conditionallyIndexed": true,
174 "applicableCurrentIndexLevel": 0.1,
175 "indexLevelPercentageChangeLowerBound": 0.1,
176 "indexLevelPercentageChangeUpperBound": 0.1,
177 "indexationTypeNonLease": "string",
178 "cpiGlobalCategoryIdNonLease": 0,
179 "indexationReferenceDateNonLease": "2019-08-24",
180 "currentIndexLevelNonLease": 0.1,
181 "conditionallyIndexedNonLease": true,
182 "applicableCurrentIndexLevelNonLease": 0.1,
183 "indexLevelPercentageChangeLowerBoundNonLease": 0.1,
184 "indexLevelPercentageChangeUpperBoundNonLease": 0.1,
185 "signatureDate": "2019-08-24",
186 "premiseId": 0,
187 "type": {
188 "createdBy": "string",
189 "lastModifiedBy": "string",
190 "createdDate": "2019-08-24T14:15:22Z",
191 "lastModifiedDate": "2019-08-24T14:15:22Z",
192 "archived": true,
193 "externalId": "string",
194 "id": 0,
195 "priority": 0,
196 "internalId": 0,
197 "pickListCode": "string",
198 "pickListLabel": "string",
199 "label": "string",
200 "cultureId": 0,
201 "labelDtos": [
202 {
203 "createdBy": "string",
204 "lastModifiedBy": "string",
205 "createdDate": "2019-08-24T14:15:22Z",
206 "lastModifiedDate": "2019-08-24T14:15:22Z",
207 "archived": true,
208 "externalId": "string",
209 "id": 0,
210 "cultureId": 0,
211 "value": "string"
212 }
213 ]
214 },
215 "category": {
216 "createdBy": "string",
217 "lastModifiedBy": "string",
218 "createdDate": "2019-08-24T14:15:22Z",
219 "lastModifiedDate": "2019-08-24T14:15:22Z",
220 "archived": true,
221 "externalId": "string",
222 "id": 0,
223 "priority": 0,
224 "internalId": 0,
225 "pickListCode": "string",
226 "pickListLabel": "string",
227 "label": "string",
228 "cultureId": 0,
229 "labelDtos": [
230 {
231 "createdBy": "string",
232 "lastModifiedBy": "string",
233 "createdDate": "2019-08-24T14:15:22Z",
234 "lastModifiedDate": "2019-08-24T14:15:22Z",
235 "archived": true,
236 "externalId": "string",
237 "id": 0,
238 "cultureId": 0,
239 "value": "string"
240 }
241 ]
242 },
243 "status": {
244 "createdBy": "string",
245 "lastModifiedBy": "string",
246 "createdDate": "2019-08-24T14:15:22Z",
247 "lastModifiedDate": "2019-08-24T14:15:22Z",
248 "archived": true,
249 "externalId": "string",
250 "id": 0,
251 "priority": 0,
252 "internalId": 0,
253 "pickListCode": "string",
254 "pickListLabel": "string",
255 "label": "string",
256 "cultureId": 0,
257 "labelDtos": [
258 {
259 "createdBy": "string",
260 "lastModifiedBy": "string",
261 "createdDate": "2019-08-24T14:15:22Z",
262 "lastModifiedDate": "2019-08-24T14:15:22Z",
263 "archived": true,
264 "externalId": "string",
265 "id": 0,
266 "cultureId": 0,
267 "value": "string"
268 }
269 ]
270 },
271 "state": {
272 "createdBy": "string",
273 "lastModifiedBy": "string",
274 "createdDate": "2019-08-24T14:15:22Z",
275 "lastModifiedDate": "2019-08-24T14:15:22Z",
276 "archived": true,
277 "externalId": "string",
278 "id": 0,
279 "priority": 0,
280 "internalId": 0,
281 "pickListCode": "string",
282 "pickListLabel": "string",
283 "label": "string",
284 "cultureId": 0,
285 "labelDtos": [
286 {
287 "createdBy": "string",
288 "lastModifiedBy": "string",
289 "createdDate": "2019-08-24T14:15:22Z",
290 "lastModifiedDate": "2019-08-24T14:15:22Z",
291 "archived": true,
292 "externalId": "string",
293 "id": 0,
294 "cultureId": 0,
295 "value": "string"
296 }
297 ]
298 },
299 "version": {
300 "createdBy": "string",
301 "lastModifiedBy": "string",
302 "createdDate": "2019-08-24T14:15:22Z",
303 "lastModifiedDate": "2019-08-24T14:15:22Z",
304 "archived": true,
305 "externalId": "string",
306 "id": 0,
307 "name": "string",
308 "description": "string",
309 "modificationDate": "2019-08-24",
310 "updateContractRate": true,
311 "leaseEvent": {
312 "createdBy": "string",
313 "lastModifiedBy": "string",
314 "createdDate": "2019-08-24T14:15:22Z",
315 "lastModifiedDate": "2019-08-24T14:15:22Z",
316 "archived": true,
317 "externalId": "string",
318 "id": 0,
319 "typeId": 0,
320 "code": "string",
321 "reviewedBy": "string",
322 "reviewedDate": "2019-08-24",
323 "reviewedStatusId": 0,
324 "activityDate": "2019-08-24",
325 "relatedPickListOptionId": 0,
326 "detail": "string",
327 "note": {
328 "createdBy": "string",
329 "lastModifiedBy": "string",
330 "createdDate": "2019-08-24T14:15:22Z",
331 "lastModifiedDate": "2019-08-24T14:15:22Z",
332 "archived": true,
333 "externalId": "string",
334 "id": 0,
335 "message": "string",
336 "preserveOriginalAudit": true,
337 "originalCreatedBy": "string",
338 "originalCreatedDate": "2019-08-24T14:15:22Z",
339 "originalLastModifiedBy": "string",
340 "originalLastModifiedDate": "2019-08-24T14:15:22Z"
341 },
342 "type": {
343 "createdBy": "string",
344 "lastModifiedBy": "string",
345 "createdDate": "2019-08-24T14:15:22Z",
346 "lastModifiedDate": "2019-08-24T14:15:22Z",
347 "archived": true,
348 "externalId": "string",
349 "id": 0,
350 "priority": 0,
351 "internalId": 0,
352 "pickListCode": "string",
353 "pickListLabel": "string",
354 "label": "string",
355 "cultureId": 0,
356 "labelDtos": [
357 {
358 "createdBy": "string",
359 "lastModifiedBy": "string",
360 "createdDate": "2019-08-24T14:15:22Z",
361 "lastModifiedDate": "2019-08-24T14:15:22Z",
362 "archived": true,
363 "externalId": "string",
364 "id": 0,
365 "cultureId": 0,
366 "value": "string"
367 }
368 ]
369 },
370 "reviewedStatus": {
371 "createdBy": "string",
372 "lastModifiedBy": "string",
373 "createdDate": "2019-08-24T14:15:22Z",
374 "lastModifiedDate": "2019-08-24T14:15:22Z",
375 "archived": true,
376 "externalId": "string",
377 "id": 0,
378 "priority": 0,
379 "internalId": 0,
380 "pickListCode": "string",
381 "pickListLabel": "string",
382 "label": "string",
383 "cultureId": 0,
384 "labelDtos": [
385 {
386 "createdBy": "string",
387 "lastModifiedBy": "string",
388 "createdDate": "2019-08-24T14:15:22Z",
389 "lastModifiedDate": "2019-08-24T14:15:22Z",
390 "archived": true,
391 "externalId": "string",
392 "id": 0,
393 "cultureId": 0,
394 "value": "string"
395 }
396 ]
397 },
398 "relatedPickListOption": {
399 "createdBy": "string",
400 "lastModifiedBy": "string",
401 "createdDate": "2019-08-24T14:15:22Z",
402 "lastModifiedDate": "2019-08-24T14:15:22Z",
403 "archived": true,
404 "externalId": "string",
405 "id": 0,
406 "priority": 0,
407 "internalId": 0,
408 "pickListCode": "string",
409 "pickListLabel": "string",
410 "label": "string",
411 "cultureId": 0,
412 "labelDtos": [
413 {
414 "createdBy": "string",
415 "lastModifiedBy": "string",
416 "createdDate": "2019-08-24T14:15:22Z",
417 "lastModifiedDate": "2019-08-24T14:15:22Z",
418 "archived": true,
419 "externalId": "string",
420 "id": 0,
421 "cultureId": 0,
422 "value": "string"
423 }
424 ]
425 },
426 "isVisiblePartnerPortal": true
427 },
428 "scenario": true,
429 "isVisibleVendorPortal": true,
430 "isTerminationVersion": true,
431 "terminationDate": "2019-08-24",
432 "penaltyAmount": 0.1,
433 "areasHistoryVersionId": 0
434 },
435 "premiseDto": {
436 "createdBy": "string",
437 "lastModifiedBy": "string",
438 "createdDate": "2019-08-24T14:15:22Z",
439 "lastModifiedDate": "2019-08-24T14:15:22Z",
440 "archived": true,
441 "externalId": "string",
442 "id": 0,
443 "number": "string",
444 "name": "string",
445 "headPremise": true,
446 "possessionDate": "2019-08-24",
447 "openingDate": "2019-08-24",
448 "closingDate": "2019-08-24",
449 "relocationDate": "2019-08-24",
450 "vacatingDate": "2019-08-24",
451 "expansionDate": "2019-08-24",
452 "statusId": 0,
453 "usageId": 0,
454 "parentPremiseId": 0,
455 "costCenterId": 0,
456 "profitCenterId": 0,
457 "legalEntityId": 0,
458 "occupancyIds": [
459 0
460 ],
461 "locationId": 0,
462 "locationDto": {
463 "createdBy": "string",
464 "lastModifiedBy": "string",
465 "createdDate": "2019-08-24T14:15:22Z",
466 "lastModifiedDate": "2019-08-24T14:15:22Z",
467 "archived": true,
468 "externalId": "string",
469 "id": 0,
470 "number": "string",
471 "name": "string",
472 "storeNumber": "string",
473 "defaultCurrencyId": 0,
474 "defaultMeasureId": 0,
475 "typeId": 0,
476 "qualityId": 0,
477 "propertyTypeId": 0,
478 "categoryId": 0,
479 "statusId": 0,
480 "businessUnitId": 0,
481 "groupIds": [
482 0
483 ],
484 "legalEntityIds": [
485 0
486 ],
487 "defaultCurrency": {
488 "id": 0,
489 "status": "CREATED",
490 "displayId": "string",
491 "erpSystemId": 0,
492 "erpSystemDisplayId": "string",
493 "name": "string",
494 "decimalPoints": 0,
495 "depreciationAreaId": 0
496 },
497 "defaultUnitValue": {
498 "createdBy": "string",
499 "lastModifiedBy": "string",
500 "createdDate": "2019-08-24T14:15:22Z",
501 "lastModifiedDate": "2019-08-24T14:15:22Z",
502 "archived": true,
503 "externalId": "string",
504 "id": 0,
505 "unitId": 0,
506 "unitOfMeasureId": 0,
507 "erpSystemId": 0,
508 "unit": {
509 "createdBy": "string",
510 "lastModifiedBy": "string",
511 "createdDate": "2019-08-24T14:15:22Z",
512 "lastModifiedDate": "2019-08-24T14:15:22Z",
513 "archived": true,
514 "externalId": "string",
515 "id": 0,
516 "priority": 0,
517 "internalId": 0,
518 "pickListCode": "string",
519 "pickListLabel": "string",
520 "label": "string",
521 "cultureId": 0,
522 "labelDtos": [
523 {}
524 ]
525 },
526 "unitOfMeasure": {
527 "id": 0,
528 "status": "CREATED",
529 "displayId": "string",
530 "erpSystemId": 0,
531 "erpSystemDisplayId": "string",
532 "name": "string"
533 }
534 },
535 "type": {
536 "createdBy": "string",
537 "lastModifiedBy": "string",
538 "createdDate": "2019-08-24T14:15:22Z",
539 "lastModifiedDate": "2019-08-24T14:15:22Z",
540 "archived": true,
541 "externalId": "string",
542 "id": 0,
543 "priority": 0,
544 "internalId": 0,
545 "pickListCode": "string",
546 "pickListLabel": "string",
547 "label": "string",
548 "cultureId": 0,
549 "labelDtos": [
550 {
551 "createdBy": "string",
552 "lastModifiedBy": "string",
553 "createdDate": "2019-08-24T14:15:22Z",
554 "lastModifiedDate": "2019-08-24T14:15:22Z",
555 "archived": true,
556 "externalId": "string",
557 "id": 0,
558 "cultureId": 0,
559 "value": "string"
560 }
561 ]
562 },
563 "quality": {
564 "createdBy": "string",
565 "lastModifiedBy": "string",
566 "createdDate": "2019-08-24T14:15:22Z",
567 "lastModifiedDate": "2019-08-24T14:15:22Z",
568 "archived": true,
569 "externalId": "string",
570 "id": 0,
571 "priority": 0,
572 "internalId": 0,
573 "pickListCode": "string",
574 "pickListLabel": "string",
575 "label": "string",
576 "cultureId": 0,
577 "labelDtos": [
578 {
579 "createdBy": "string",
580 "lastModifiedBy": "string",
581 "createdDate": "2019-08-24T14:15:22Z",
582 "lastModifiedDate": "2019-08-24T14:15:22Z",
583 "archived": true,
584 "externalId": "string",
585 "id": 0,
586 "cultureId": 0,
587 "value": "string"
588 }
589 ]
590 },
591 "propertyType": {
592 "createdBy": "string",
593 "lastModifiedBy": "string",
594 "createdDate": "2019-08-24T14:15:22Z",
595 "lastModifiedDate": "2019-08-24T14:15:22Z",
596 "archived": true,
597 "externalId": "string",
598 "id": 0,
599 "priority": 0,
600 "internalId": 0,
601 "pickListCode": "string",
602 "pickListLabel": "string",
603 "label": "string",
604 "cultureId": 0,
605 "labelDtos": [
606 {
607 "createdBy": "string",
608 "lastModifiedBy": "string",
609 "createdDate": "2019-08-24T14:15:22Z",
610 "lastModifiedDate": "2019-08-24T14:15:22Z",
611 "archived": true,
612 "externalId": "string",
613 "id": 0,
614 "cultureId": 0,
615 "value": "string"
616 }
617 ]
618 },
619 "category": {
620 "createdBy": "string",
621 "lastModifiedBy": "string",
622 "createdDate": "2019-08-24T14:15:22Z",
623 "lastModifiedDate": "2019-08-24T14:15:22Z",
624 "archived": true,
625 "externalId": "string",
626 "id": 0,
627 "priority": 0,
628 "internalId": 0,
629 "pickListCode": "string",
630 "pickListLabel": "string",
631 "label": "string",
632 "cultureId": 0,
633 "labelDtos": [
634 {
635 "createdBy": "string",
636 "lastModifiedBy": "string",
637 "createdDate": "2019-08-24T14:15:22Z",
638 "lastModifiedDate": "2019-08-24T14:15:22Z",
639 "archived": true,
640 "externalId": "string",
641 "id": 0,
642 "cultureId": 0,
643 "value": "string"
644 }
645 ]
646 },
647 "status": {
648 "createdBy": "string",
649 "lastModifiedBy": "string",
650 "createdDate": "2019-08-24T14:15:22Z",
651 "lastModifiedDate": "2019-08-24T14:15:22Z",
652 "archived": true,
653 "externalId": "string",
654 "id": 0,
655 "priority": 0,
656 "internalId": 0,
657 "pickListCode": "string",
658 "pickListLabel": "string",
659 "label": "string",
660 "cultureId": 0,
661 "labelDtos": [
662 {
663 "createdBy": "string",
664 "lastModifiedBy": "string",
665 "createdDate": "2019-08-24T14:15:22Z",
666 "lastModifiedDate": "2019-08-24T14:15:22Z",
667 "archived": true,
668 "externalId": "string",
669 "id": 0,
670 "cultureId": 0,
671 "value": "string"
672 }
673 ]
674 },
675 "addressDto": {
676 "createdBy": "string",
677 "lastModifiedBy": "string",
678 "createdDate": "2019-08-24T14:15:22Z",
679 "lastModifiedDate": "2019-08-24T14:15:22Z",
680 "archived": true,
681 "externalId": "string",
682 "id": 0,
683 "street": "string",
684 "civicNumber": "string",
685 "suite": "string",
686 "postalCode": "string",
687 "lon": 0.1,
688 "lat": 0.1,
689 "city": {
690 "createdBy": "string",
691 "lastModifiedBy": "string",
692 "createdDate": "2019-08-24T14:15:22Z",
693 "lastModifiedDate": "2019-08-24T14:15:22Z",
694 "archived": true,
695 "externalId": "string",
696 "id": 0,
697 "name": "string",
698 "province": {
699 "createdBy": "string",
700 "lastModifiedBy": "string",
701 "createdDate": "2019-08-24T14:15:22Z",
702 "lastModifiedDate": "2019-08-24T14:15:22Z",
703 "archived": true,
704 "externalId": "string",
705 "id": 0,
706 "name": "string",
707 "code": "string",
708 "country": {},
709 "provinceCountryKey": "string"
710 },
711 "cityProvinceCountryKey": "string"
712 },
713 "district": {
714 "createdBy": "string",
715 "lastModifiedBy": "string",
716 "createdDate": "2019-08-24T14:15:22Z",
717 "lastModifiedDate": "2019-08-24T14:15:22Z",
718 "archived": true,
719 "externalId": "string",
720 "id": 0,
721 "name": "string",
722 "city": {
723 "createdBy": "string",
724 "lastModifiedBy": "string",
725 "createdDate": "2019-08-24T14:15:22Z",
726 "lastModifiedDate": "2019-08-24T14:15:22Z",
727 "archived": true,
728 "externalId": "string",
729 "id": 0,
730 "name": "string",
731 "province": {},
732 "cityProvinceCountryKey": "string"
733 }
734 },
735 "cityId": 0,
736 "districtId": 0
737 },
738 "secondAddressDto": {
739 "createdBy": "string",
740 "lastModifiedBy": "string",
741 "createdDate": "2019-08-24T14:15:22Z",
742 "lastModifiedDate": "2019-08-24T14:15:22Z",
743 "archived": true,
744 "externalId": "string",
745 "id": 0,
746 "street": "string",
747 "civicNumber": "string",
748 "suite": "string",
749 "postalCode": "string",
750 "lon": 0.1,
751 "lat": 0.1,
752 "city": {
753 "createdBy": "string",
754 "lastModifiedBy": "string",
755 "createdDate": "2019-08-24T14:15:22Z",
756 "lastModifiedDate": "2019-08-24T14:15:22Z",
757 "archived": true,
758 "externalId": "string",
759 "id": 0,
760 "name": "string",
761 "province": {
762 "createdBy": "string",
763 "lastModifiedBy": "string",
764 "createdDate": "2019-08-24T14:15:22Z",
765 "lastModifiedDate": "2019-08-24T14:15:22Z",
766 "archived": true,
767 "externalId": "string",
768 "id": 0,
769 "name": "string",
770 "code": "string",
771 "country": {},
772 "provinceCountryKey": "string"
773 },
774 "cityProvinceCountryKey": "string"
775 },
776 "district": {
777 "createdBy": "string",
778 "lastModifiedBy": "string",
779 "createdDate": "2019-08-24T14:15:22Z",
780 "lastModifiedDate": "2019-08-24T14:15:22Z",
781 "archived": true,
782 "externalId": "string",
783 "id": 0,
784 "name": "string",
785 "city": {
786 "createdBy": "string",
787 "lastModifiedBy": "string",
788 "createdDate": "2019-08-24T14:15:22Z",
789 "lastModifiedDate": "2019-08-24T14:15:22Z",
790 "archived": true,
791 "externalId": "string",
792 "id": 0,
793 "name": "string",
794 "province": {},
795 "cityProvinceCountryKey": "string"
796 }
797 },
798 "cityId": 0,
799 "districtId": 0
800 }
801 },
802 "status": {
803 "createdBy": "string",
804 "lastModifiedBy": "string",
805 "createdDate": "2019-08-24T14:15:22Z",
806 "lastModifiedDate": "2019-08-24T14:15:22Z",
807 "archived": true,
808 "externalId": "string",
809 "id": 0,
810 "priority": 0,
811 "internalId": 0,
812 "pickListCode": "string",
813 "pickListLabel": "string",
814 "label": "string",
815 "cultureId": 0,
816 "labelDtos": [
817 {
818 "createdBy": "string",
819 "lastModifiedBy": "string",
820 "createdDate": "2019-08-24T14:15:22Z",
821 "lastModifiedDate": "2019-08-24T14:15:22Z",
822 "archived": true,
823 "externalId": "string",
824 "id": 0,
825 "cultureId": 0,
826 "value": "string"
827 }
828 ]
829 },
830 "usage": {
831 "createdBy": "string",
832 "lastModifiedBy": "string",
833 "createdDate": "2019-08-24T14:15:22Z",
834 "lastModifiedDate": "2019-08-24T14:15:22Z",
835 "archived": true,
836 "externalId": "string",
837 "id": 0,
838 "priority": 0,
839 "internalId": 0,
840 "pickListCode": "string",
841 "pickListLabel": "string",
842 "label": "string",
843 "cultureId": 0,
844 "labelDtos": [
845 {
846 "createdBy": "string",
847 "lastModifiedBy": "string",
848 "createdDate": "2019-08-24T14:15:22Z",
849 "lastModifiedDate": "2019-08-24T14:15:22Z",
850 "archived": true,
851 "externalId": "string",
852 "id": 0,
853 "cultureId": 0,
854 "value": "string"
855 }
856 ]
857 },
858 "occupanciesDto": [
859 {
860 "createdBy": "string",
861 "lastModifiedBy": "string",
862 "createdDate": "2019-08-24T14:15:22Z",
863 "lastModifiedDate": "2019-08-24T14:15:22Z",
864 "archived": true,
865 "externalId": "string",
866 "id": 0,
867 "priority": 0,
868 "internalId": 0,
869 "pickListCode": "string",
870 "pickListLabel": "string",
871 "label": "string",
872 "cultureId": 0,
873 "labelDtos": [
874 {
875 "createdBy": "string",
876 "lastModifiedBy": "string",
877 "createdDate": "2019-08-24T14:15:22Z",
878 "lastModifiedDate": "2019-08-24T14:15:22Z",
879 "archived": true,
880 "externalId": "string",
881 "id": 0,
882 "cultureId": 0,
883 "value": "string"
884 }
885 ]
886 }
887 ]
888 },
889 "isTerminationVersion": true
890 }
891 ],
892 "leaseFileNumbers": [
893 "string"
894 ],
895 "validFrom": "2019-08-24",
896 "validTo": "2019-08-24",
897 "cityIds": [
898 0
899 ],
900 "provinceIds": [
901 0
902 ],
903 "countryIds": [
904 0
905 ],
906 "premiseIds": [
907 0
908 ],
909 "locationIds": [
910 0
911 ],
912 "businessUnitIds": [
913 0
914 ],
915 "legalEntityIds": [
916 0
917 ],
918 "groupIds": [
919 "string"
920 ],
921 "groupOptionIds": [
922 0
923 ],
924 "masterAgreementIds": [
925 0
926 ],
927 "contractIds": [
928 0
929 ],
930 "statusIds": [
931 0
932 ],
933 "cities": [
934 {
935 "createdBy": "string",
936 "lastModifiedBy": "string",
937 "createdDate": "2019-08-24T14:15:22Z",
938 "lastModifiedDate": "2019-08-24T14:15:22Z",
939 "archived": true,
940 "externalId": "string",
941 "id": 0,
942 "name": "string",
943 "province": {
944 "createdBy": "string",
945 "lastModifiedBy": "string",
946 "createdDate": "2019-08-24T14:15:22Z",
947 "lastModifiedDate": "2019-08-24T14:15:22Z",
948 "archived": true,
949 "externalId": "string",
950 "id": 0,
951 "name": "string",
952 "country": {
953 "createdBy": "string",
954 "lastModifiedBy": "string",
955 "createdDate": "2019-08-24T14:15:22Z",
956 "lastModifiedDate": "2019-08-24T14:15:22Z",
957 "archived": true,
958 "externalId": "string",
959 "id": 0,
960 "name": "string",
961 "code": "string"
962 },
963 "code": "string",
964 "countryId": 0
965 },
966 "provinceId": 0
967 }
968 ],
969 "provinces": [
970 {
971 "createdBy": "string",
972 "lastModifiedBy": "string",
973 "createdDate": "2019-08-24T14:15:22Z",
974 "lastModifiedDate": "2019-08-24T14:15:22Z",
975 "archived": true,
976 "externalId": "string",
977 "id": 0,
978 "name": "string",
979 "country": {
980 "createdBy": "string",
981 "lastModifiedBy": "string",
982 "createdDate": "2019-08-24T14:15:22Z",
983 "lastModifiedDate": "2019-08-24T14:15:22Z",
984 "archived": true,
985 "externalId": "string",
986 "id": 0,
987 "name": "string",
988 "code": "string"
989 },
990 "code": "string",
991 "countryId": 0
992 }
993 ],
994 "countries": [
995 {
996 "createdBy": "string",
997 "lastModifiedBy": "string",
998 "createdDate": "2019-08-24T14:15:22Z",
999 "lastModifiedDate": "2019-08-24T14:15:22Z",
1000 "archived": true,
1001 "externalId": "string",
1002 "id": 0,
1003 "name": "string",
1004 "code": "string"
1005 }
1006 ],
1007 "locations": [
1008 {
1009 "createdBy": "string",
1010 "lastModifiedBy": "string",
1011 "createdDate": "2019-08-24T14:15:22Z",
1012 "lastModifiedDate": "2019-08-24T14:15:22Z",
1013 "archived": true,
1014 "externalId": "string",
1015 "id": 0,
1016 "number": "string",
1017 "name": "string",
1018 "storeNumber": "string",
1019 "defaultCurrencyId": 0,
1020 "defaultMeasureId": 0,
1021 "typeId": 0,
1022 "qualityId": 0,
1023 "propertyTypeId": 0,
1024 "categoryId": 0,
1025 "statusId": 0,
1026 "businessUnitId": 0,
1027 "groupIds": [
1028 0
1029 ],
1030 "legalEntityIds": [
1031 0
1032 ],
1033 "defaultCurrency": {
1034 "id": 0,
1035 "status": "CREATED",
1036 "displayId": "string",
1037 "erpSystemId": 0,
1038 "erpSystemDisplayId": "string",
1039 "name": "string",
1040 "decimalPoints": 0,
1041 "depreciationAreaId": 0
1042 },
1043 "defaultUnitValue": {
1044 "createdBy": "string",
1045 "lastModifiedBy": "string",
1046 "createdDate": "2019-08-24T14:15:22Z",
1047 "lastModifiedDate": "2019-08-24T14:15:22Z",
1048 "archived": true,
1049 "externalId": "string",
1050 "id": 0,
1051 "unitId": 0,
1052 "unitOfMeasureId": 0,
1053 "erpSystemId": 0,
1054 "unit": {
1055 "createdBy": "string",
1056 "lastModifiedBy": "string",
1057 "createdDate": "2019-08-24T14:15:22Z",
1058 "lastModifiedDate": "2019-08-24T14:15:22Z",
1059 "archived": true,
1060 "externalId": "string",
1061 "id": 0,
1062 "priority": 0,
1063 "internalId": 0,
1064 "pickListCode": "string",
1065 "pickListLabel": "string",
1066 "label": "string",
1067 "cultureId": 0,
1068 "labelDtos": [
1069 {
1070 "createdBy": "string",
1071 "lastModifiedBy": "string",
1072 "createdDate": "2019-08-24T14:15:22Z",
1073 "lastModifiedDate": "2019-08-24T14:15:22Z",
1074 "archived": true,
1075 "externalId": "string",
1076 "id": 0,
1077 "cultureId": 0,
1078 "value": "string"
1079 }
1080 ]
1081 },
1082 "unitOfMeasure": {
1083 "id": 0,
1084 "status": "CREATED",
1085 "displayId": "string",
1086 "erpSystemId": 0,
1087 "erpSystemDisplayId": "string",
1088 "name": "string"
1089 }
1090 },
1091 "type": {
1092 "createdBy": "string",
1093 "lastModifiedBy": "string",
1094 "createdDate": "2019-08-24T14:15:22Z",
1095 "lastModifiedDate": "2019-08-24T14:15:22Z",
1096 "archived": true,
1097 "externalId": "string",
1098 "id": 0,
1099 "priority": 0,
1100 "internalId": 0,
1101 "pickListCode": "string",
1102 "pickListLabel": "string",
1103 "label": "string",
1104 "cultureId": 0,
1105 "labelDtos": [
1106 {
1107 "createdBy": "string",
1108 "lastModifiedBy": "string",
1109 "createdDate": "2019-08-24T14:15:22Z",
1110 "lastModifiedDate": "2019-08-24T14:15:22Z",
1111 "archived": true,
1112 "externalId": "string",
1113 "id": 0,
1114 "cultureId": 0,
1115 "value": "string"
1116 }
1117 ]
1118 },
1119 "quality": {
1120 "createdBy": "string",
1121 "lastModifiedBy": "string",
1122 "createdDate": "2019-08-24T14:15:22Z",
1123 "lastModifiedDate": "2019-08-24T14:15:22Z",
1124 "archived": true,
1125 "externalId": "string",
1126 "id": 0,
1127 "priority": 0,
1128 "internalId": 0,
1129 "pickListCode": "string",
1130 "pickListLabel": "string",
1131 "label": "string",
1132 "cultureId": 0,
1133 "labelDtos": [
1134 {
1135 "createdBy": "string",
1136 "lastModifiedBy": "string",
1137 "createdDate": "2019-08-24T14:15:22Z",
1138 "lastModifiedDate": "2019-08-24T14:15:22Z",
1139 "archived": true,
1140 "externalId": "string",
1141 "id": 0,
1142 "cultureId": 0,
1143 "value": "string"
1144 }
1145 ]
1146 },
1147 "propertyType": {
1148 "createdBy": "string",
1149 "lastModifiedBy": "string",
1150 "createdDate": "2019-08-24T14:15:22Z",
1151 "lastModifiedDate": "2019-08-24T14:15:22Z",
1152 "archived": true,
1153 "externalId": "string",
1154 "id": 0,
1155 "priority": 0,
1156 "internalId": 0,
1157 "pickListCode": "string",
1158 "pickListLabel": "string",
1159 "label": "string",
1160 "cultureId": 0,
1161 "labelDtos": [
1162 {
1163 "createdBy": "string",
1164 "lastModifiedBy": "string",
1165 "createdDate": "2019-08-24T14:15:22Z",
1166 "lastModifiedDate": "2019-08-24T14:15:22Z",
1167 "archived": true,
1168 "externalId": "string",
1169 "id": 0,
1170 "cultureId": 0,
1171 "value": "string"
1172 }
1173 ]
1174 },
1175 "category": {
1176 "createdBy": "string",
1177 "lastModifiedBy": "string",
1178 "createdDate": "2019-08-24T14:15:22Z",
1179 "lastModifiedDate": "2019-08-24T14:15:22Z",
1180 "archived": true,
1181 "externalId": "string",
1182 "id": 0,
1183 "priority": 0,
1184 "internalId": 0,
1185 "pickListCode": "string",
1186 "pickListLabel": "string",
1187 "label": "string",
1188 "cultureId": 0,
1189 "labelDtos": [
1190 {
1191 "createdBy": "string",
1192 "lastModifiedBy": "string",
1193 "createdDate": "2019-08-24T14:15:22Z",
1194 "lastModifiedDate": "2019-08-24T14:15:22Z",
1195 "archived": true,
1196 "externalId": "string",
1197 "id": 0,
1198 "cultureId": 0,
1199 "value": "string"
1200 }
1201 ]
1202 },
1203 "status": {
1204 "createdBy": "string",
1205 "lastModifiedBy": "string",
1206 "createdDate": "2019-08-24T14:15:22Z",
1207 "lastModifiedDate": "2019-08-24T14:15:22Z",
1208 "archived": true,
1209 "externalId": "string",
1210 "id": 0,
1211 "priority": 0,
1212 "internalId": 0,
1213 "pickListCode": "string",
1214 "pickListLabel": "string",
1215 "label": "string",
1216 "cultureId": 0,
1217 "labelDtos": [
1218 {
1219 "createdBy": "string",
1220 "lastModifiedBy": "string",
1221 "createdDate": "2019-08-24T14:15:22Z",
1222 "lastModifiedDate": "2019-08-24T14:15:22Z",
1223 "archived": true,
1224 "externalId": "string",
1225 "id": 0,
1226 "cultureId": 0,
1227 "value": "string"
1228 }
1229 ]
1230 },
1231 "addressDto": {
1232 "createdBy": "string",
1233 "lastModifiedBy": "string",
1234 "createdDate": "2019-08-24T14:15:22Z",
1235 "lastModifiedDate": "2019-08-24T14:15:22Z",
1236 "archived": true,
1237 "externalId": "string",
1238 "id": 0,
1239 "street": "string",
1240 "civicNumber": "string",
1241 "suite": "string",
1242 "postalCode": "string",
1243 "lon": 0.1,
1244 "lat": 0.1,
1245 "city": {
1246 "createdBy": "string",
1247 "lastModifiedBy": "string",
1248 "createdDate": "2019-08-24T14:15:22Z",
1249 "lastModifiedDate": "2019-08-24T14:15:22Z",
1250 "archived": true,
1251 "externalId": "string",
1252 "id": 0,
1253 "name": "string",
1254 "province": {
1255 "createdBy": "string",
1256 "lastModifiedBy": "string",
1257 "createdDate": "2019-08-24T14:15:22Z",
1258 "lastModifiedDate": "2019-08-24T14:15:22Z",
1259 "archived": true,
1260 "externalId": "string",
1261 "id": 0,
1262 "name": "string",
1263 "code": "string",
1264 "country": {
1265 "createdBy": "string",
1266 "lastModifiedBy": "string",
1267 "createdDate": "2019-08-24T14:15:22Z",
1268 "lastModifiedDate": "2019-08-24T14:15:22Z",
1269 "archived": true,
1270 "externalId": "string",
1271 "id": 0,
1272 "name": "string",
1273 "code": "string"
1274 },
1275 "provinceCountryKey": "string"
1276 },
1277 "cityProvinceCountryKey": "string"
1278 },
1279 "district": {
1280 "createdBy": "string",
1281 "lastModifiedBy": "string",
1282 "createdDate": "2019-08-24T14:15:22Z",
1283 "lastModifiedDate": "2019-08-24T14:15:22Z",
1284 "archived": true,
1285 "externalId": "string",
1286 "id": 0,
1287 "name": "string",
1288 "city": {
1289 "createdBy": "string",
1290 "lastModifiedBy": "string",
1291 "createdDate": "2019-08-24T14:15:22Z",
1292 "lastModifiedDate": "2019-08-24T14:15:22Z",
1293 "archived": true,
1294 "externalId": "string",
1295 "id": 0,
1296 "name": "string",
1297 "province": {
1298 "createdBy": "string",
1299 "lastModifiedBy": "string",
1300 "createdDate": "2019-08-24T14:15:22Z",
1301 "lastModifiedDate": "2019-08-24T14:15:22Z",
1302 "archived": true,
1303 "externalId": "string",
1304 "id": 0,
1305 "name": "string",
1306 "code": "string",
1307 "country": {
1308 "createdBy": "string",
1309 "lastModifiedBy": "string",
1310 "createdDate": "2019-08-24T14:15:22Z",
1311 "lastModifiedDate": "2019-08-24T14:15:22Z",
1312 "archived": true,
1313 "externalId": "string",
1314 "id": 0,
1315 "name": "string",
1316 "code": "string"
1317 },
1318 "provinceCountryKey": "string"
1319 },
1320 "cityProvinceCountryKey": "string"
1321 }
1322 },
1323 "cityId": 0,
1324 "districtId": 0
1325 },
1326 "secondAddressDto": {
1327 "createdBy": "string",
1328 "lastModifiedBy": "string",
1329 "createdDate": "2019-08-24T14:15:22Z",
1330 "lastModifiedDate": "2019-08-24T14:15:22Z",
1331 "archived": true,
1332 "externalId": "string",
1333 "id": 0,
1334 "street": "string",
1335 "civicNumber": "string",
1336 "suite": "string",
1337 "postalCode": "string",
1338 "lon": 0.1,
1339 "lat": 0.1,
1340 "city": {
1341 "createdBy": "string",
1342 "lastModifiedBy": "string",
1343 "createdDate": "2019-08-24T14:15:22Z",
1344 "lastModifiedDate": "2019-08-24T14:15:22Z",
1345 "archived": true,
1346 "externalId": "string",
1347 "id": 0,
1348 "name": "string",
1349 "province": {
1350 "createdBy": "string",
1351 "lastModifiedBy": "string",
1352 "createdDate": "2019-08-24T14:15:22Z",
1353 "lastModifiedDate": "2019-08-24T14:15:22Z",
1354 "archived": true,
1355 "externalId": "string",
1356 "id": 0,
1357 "name": "string",
1358 "code": "string",
1359 "country": {
1360 "createdBy": "string",
1361 "lastModifiedBy": "string",
1362 "createdDate": "2019-08-24T14:15:22Z",
1363 "lastModifiedDate": "2019-08-24T14:15:22Z",
1364 "archived": true,
1365 "externalId": "string",
1366 "id": 0,
1367 "name": "string",
1368 "code": "string"
1369 },
1370 "provinceCountryKey": "string"
1371 },
1372 "cityProvinceCountryKey": "string"
1373 },
1374 "district": {
1375 "createdBy": "string",
1376 "lastModifiedBy": "string",
1377 "createdDate": "2019-08-24T14:15:22Z",
1378 "lastModifiedDate": "2019-08-24T14:15:22Z",
1379 "archived": true,
1380 "externalId": "string",
1381 "id": 0,
1382 "name": "string",
1383 "city": {
1384 "createdBy": "string",
1385 "lastModifiedBy": "string",
1386 "createdDate": "2019-08-24T14:15:22Z",
1387 "lastModifiedDate": "2019-08-24T14:15:22Z",
1388 "archived": true,
1389 "externalId": "string",
1390 "id": 0,
1391 "name": "string",
1392 "province": {
1393 "createdBy": "string",
1394 "lastModifiedBy": "string",
1395 "createdDate": "2019-08-24T14:15:22Z",
1396 "lastModifiedDate": "2019-08-24T14:15:22Z",
1397 "archived": true,
1398 "externalId": "string",
1399 "id": 0,
1400 "name": "string",
1401 "code": "string",
1402 "country": {
1403 "createdBy": "string",
1404 "lastModifiedBy": "string",
1405 "createdDate": "2019-08-24T14:15:22Z",
1406 "lastModifiedDate": "2019-08-24T14:15:22Z",
1407 "archived": true,
1408 "externalId": "string",
1409 "id": 0,
1410 "name": "string",
1411 "code": "string"
1412 },
1413 "provinceCountryKey": "string"
1414 },
1415 "cityProvinceCountryKey": "string"
1416 }
1417 },
1418 "cityId": 0,
1419 "districtId": 0
1420 }
1421 }
1422 ],
1423 "premises": [
1424 {
1425 "createdBy": "string",
1426 "lastModifiedBy": "string",
1427 "createdDate": "2019-08-24T14:15:22Z",
1428 "lastModifiedDate": "2019-08-24T14:15:22Z",
1429 "archived": true,
1430 "externalId": "string",
1431 "id": 0,
1432 "number": "string",
1433 "name": "string",
1434 "headPremise": true,
1435 "possessionDate": "2019-08-24",
1436 "openingDate": "2019-08-24",
1437 "closingDate": "2019-08-24",
1438 "relocationDate": "2019-08-24",
1439 "vacatingDate": "2019-08-24",
1440 "expansionDate": "2019-08-24",
1441 "statusId": 0,
1442 "usageId": 0,
1443 "parentPremiseId": 0,
1444 "costCenterId": 0,
1445 "profitCenterId": 0,
1446 "legalEntityId": 0,
1447 "occupancyIds": [
1448 0
1449 ],
1450 "locationId": 0,
1451 "locationDto": {
1452 "createdBy": "string",
1453 "lastModifiedBy": "string",
1454 "createdDate": "2019-08-24T14:15:22Z",
1455 "lastModifiedDate": "2019-08-24T14:15:22Z",
1456 "archived": true,
1457 "externalId": "string",
1458 "id": 0,
1459 "number": "string",
1460 "name": "string",
1461 "storeNumber": "string",
1462 "defaultCurrencyId": 0,
1463 "defaultMeasureId": 0,
1464 "typeId": 0,
1465 "qualityId": 0,
1466 "propertyTypeId": 0,
1467 "categoryId": 0,
1468 "statusId": 0,
1469 "businessUnitId": 0,
1470 "groupIds": [
1471 0
1472 ],
1473 "legalEntityIds": [
1474 0
1475 ],
1476 "defaultCurrency": {
1477 "id": 0,
1478 "status": "CREATED",
1479 "displayId": "string",
1480 "erpSystemId": 0,
1481 "erpSystemDisplayId": "string",
1482 "name": "string",
1483 "decimalPoints": 0,
1484 "depreciationAreaId": 0
1485 },
1486 "defaultUnitValue": {
1487 "createdBy": "string",
1488 "lastModifiedBy": "string",
1489 "createdDate": "2019-08-24T14:15:22Z",
1490 "lastModifiedDate": "2019-08-24T14:15:22Z",
1491 "archived": true,
1492 "externalId": "string",
1493 "id": 0,
1494 "unitId": 0,
1495 "unitOfMeasureId": 0,
1496 "erpSystemId": 0,
1497 "unit": {
1498 "createdBy": "string",
1499 "lastModifiedBy": "string",
1500 "createdDate": "2019-08-24T14:15:22Z",
1501 "lastModifiedDate": "2019-08-24T14:15:22Z",
1502 "archived": true,
1503 "externalId": "string",
1504 "id": 0,
1505 "priority": 0,
1506 "internalId": 0,
1507 "pickListCode": "string",
1508 "pickListLabel": "string",
1509 "label": "string",
1510 "cultureId": 0,
1511 "labelDtos": [
1512 {
1513 "createdBy": "string",
1514 "lastModifiedBy": "string",
1515 "createdDate": "2019-08-24T14:15:22Z",
1516 "lastModifiedDate": "2019-08-24T14:15:22Z",
1517 "archived": true,
1518 "externalId": "string",
1519 "id": 0,
1520 "cultureId": 0,
1521 "value": "string"
1522 }
1523 ]
1524 },
1525 "unitOfMeasure": {
1526 "id": 0,
1527 "status": "CREATED",
1528 "displayId": "string",
1529 "erpSystemId": 0,
1530 "erpSystemDisplayId": "string",
1531 "name": "string"
1532 }
1533 },
1534 "type": {
1535 "createdBy": "string",
1536 "lastModifiedBy": "string",
1537 "createdDate": "2019-08-24T14:15:22Z",
1538 "lastModifiedDate": "2019-08-24T14:15:22Z",
1539 "archived": true,
1540 "externalId": "string",
1541 "id": 0,
1542 "priority": 0,
1543 "internalId": 0,
1544 "pickListCode": "string",
1545 "pickListLabel": "string",
[...]
